/* This file is generated automatically. DO NOT EDIT! */
struct fourcc_mapping {
    union { unsigned char alias_str[4]; vlc_fourcc_t alias; };
    union { unsigned char fourcc_str[4]; vlc_fourcc_t fourcc; };
};
struct fourcc_desc {
    union { unsigned char alias_str[4]; vlc_fourcc_t alias; };
    const char desc[52];
};
static const struct fourcc_mapping mapping_video[] = {
    { { { 0x01, 0x00, 0x00, 0x00 } }, { { 0x6d, 0x72, 0x6c, 0x65 } } },
    { { { 0x02, 0x00, 0x00, 0x00 } }, { { 0x6d, 0x72, 0x6c, 0x65 } } },
    { { { 0x04, 0x00, 0x00, 0x00 } }, { { 0x6d, 0x70, 0x34, 0x76 } } },
    { { { 0x32, 0x56, 0x75, 0x31 } }, { { 0x55, 0x59, 0x56, 0x59 } } },
    { { { 0x32, 0x56, 0x75, 0x79 } }, { { 0x55, 0x59, 0x56, 0x59 } } },
    { { { 0x32, 0x76, 0x75, 0x79 } }, { { 0x55, 0x59, 0x56, 0x59 } } },
    { { { 0x33, 0x49, 0x56, 0x32 } }, { { 0x6d, 0x70, 0x34, 0x76 } } },
    { { { 0x33, 0x49, 0x56, 0x44 } }, { { 0x44, 0x49, 0x56, 0x33 } } },
    { { { 0x33, 0x56, 0x49, 0x44 } }, { { 0x44, 0x49, 0x56, 0x33 } } },
    { { { 0x33, 0x69, 0x76, 0x32 } }, { { 0x6d, 0x70, 0x34, 0x76 } } },
    { { { 0x33, 0x69, 0x76, 0x64 } }, { { 0x44, 0x49, 0x56, 0x33 } } },
    { { { 0x33, 0x76, 0x69, 0x64 } }, { { 0x44, 0x49, 0x56, 0x33 } } },
    { { { 0x34, 0x78, 0x6d, 0x76 } }, { { 0x34, 0x58, 0x4d, 0x56 } } },
    { { { 0x41, 0x41, 0x53, 0x34 } }, { { 0x41, 0x41, 0x53, 0x43 } } },
    { { { 0x41, 0x43, 0x44, 0x56 } }, { { 0x4d, 0x4a, 0x50, 0x47 } } },
    { { { 0x41, 0x44, 0x4a, 0x56 } }, { { 0x4d, 0x4a, 0x50, 0x47 } } },
    { { { 0x41, 0x46, 0x4c, 0x43 } }, { { 0x46, 0x4c, 0x49, 0x43 } } },
    { { { 0x41, 0x47, 0x4d, 0x31 } }, { { 0x41, 0x47, 0x4d, 0x30 } } },
    { { { 0x41, 0x47, 0x4d, 0x32 } }, { { 0x41, 0x47, 0x4d, 0x30 } } },
    { { { 0x41, 0x47, 0x4d, 0x33 } }, { { 0x41, 0x47, 0x4d, 0x30 } } },
    { { { 0x41, 0x47, 0x4d, 0x34 } }, { { 0x41, 0x47, 0x4d, 0x30 } } },
    { { { 0x41, 0x47, 0x4d, 0x35 } }, { { 0x41, 0x47, 0x4d, 0x30 } } },
    { { { 0x41, 0x47, 0x4d, 0x36 } }, { { 0x41, 0x47, 0x4d, 0x30 } } },
    { { { 0x41, 0x47, 0x4d, 0x37 } }, { { 0x41, 0x47, 0x4d, 0x30 } } },
    { { { 0x41, 0x50, 0x34, 0x31 } }, { { 0x44, 0x49, 0x56, 0x33 } } },
    { { { 0x41, 0x56, 0x33, 0x32 } }, { { 0x41, 0x52, 0x47, 0x42 } } },
    { { { 0x41, 0x56, 0x43, 0x31 } }, { { 0x68, 0x32, 0x36, 0x34 } } },
    { { { 0x41, 0x56, 0x43, 0x42 } }, { { 0x68, 0x32, 0x36, 0x34 } } },
    { { { 0x41, 0x56, 0x44, 0x4a } }, { { 0x4d, 0x4a, 0x50, 0x47 } } },
    { { { 0x41, 0x56, 0x52, 0x6e } }, { { 0x4d, 0x4a, 0x50, 0x47 } } },
    { { { 0x41, 0x56, 0x55, 0x49 } }, { { 0x55, 0x59, 0x56, 0x59 } } },
    { { { 0x41, 0x56, 0x64, 0x31 } }, { { 0x64, 0x76, 0x20, 0x20 } } },
    { { { 0x41, 0x56, 0x64, 0x68 } }, { { 0x41, 0x56, 0x64, 0x6e } } },
    { { { 0x41, 0x56, 0x64, 0x76 } }, { { 0x64, 0x76, 0x20, 0x20 } } },
    { { { 0x41, 0x56, 0x6d, 0x70 } }, { { 0x6d, 0x70, 0x32, 0x76 } } },
    { { { 0x41, 0x56, 0x73, 0x32 } }, { { 0x43, 0x41, 0x56, 0x53 } } },
    { { { 0x41, 0x5a, 0x50, 0x52 } }, { { 0x72, 0x70, 0x7a, 0x61 } } },
    { { { 0x42, 0x4c, 0x5a, 0x30 } }, { { 0x6d, 0x70, 0x34, 0x76 } } },
    { { { 0x42, 0x50, 0x47, 0x20 } }, { { 0x42, 0x50, 0x47, 0xfb } } },
    { { { 0x42, 0x57, 0x31, 0x30 } }, { { 0x6d, 0x70, 0x31, 0x76 } } },
    { { { 0x43, 0x44, 0x56, 0x32 } }, { { 0x64, 0x76, 0x20, 0x20 } } },
    { { { 0x43, 0x44, 0x56, 0x35 } }, { { 0x64, 0x76, 0x20, 0x20 } } },
    { { { 0x43, 0x44, 0x56, 0x43 } }, { { 0x64, 0x76, 0x20, 0x20 } } },
    { { { 0x43, 0x44, 0x56, 0x48 } }, { { 0x64, 0x76, 0x20, 0x20 } } },
    { { { 0x43, 0x44, 0x56, 0x50 } }, { { 0x64, 0x76, 0x20, 0x20 } } },
    { { { 0x43, 0x4f, 0x4c, 0x30 } }, { { 0x44, 0x49, 0x56, 0x33 } } },
    { { { 0x43, 0x4f, 0x4c, 0x31 } }, { { 0x44, 0x49, 0x56, 0x33 } } },
    { { { 0x43, 0x52, 0x41, 0x4d } }, { { 0x4d, 0x53, 0x56, 0x43 } } },
    { { { 0x43, 0x59, 0x55, 0x56 } }, { { 0x63, 0x79, 0x75, 0x76 } } },
    { { { 0x44, 0x32, 0x36, 0x33 } }, { { 0x68, 0x32, 0x36, 0x33 } } },
    { { { 0x44, 0x41, 0x56, 0x43 } }, { { 0x68, 0x32, 0x36, 0x34 } } },
    { { { 0x44, 0x43, 0x4f, 0x44 } }, { { 0x6d, 0x70, 0x34, 0x76 } } },
    { { { 0x44, 0x49, 0x47, 0x49 } }, { { 0x6d, 0x70, 0x34, 0x76 } } },
    { { { 0x44, 0x49, 0x56, 0x34 } }, { { 0x44, 0x49, 0x56, 0x33 } } },
    { { { 0x44, 0x49, 0x56, 0x35 } }, { { 0x44, 0x49, 0x56, 0x33 } } },
    { { { 0x44, 0x49, 0x56, 0x36 } }, { { 0x44, 0x49, 0x56, 0x33 } } },
    { { { 0x44, 0x49, 0x56, 0x46 } }, { { 0x44, 0x49, 0x56, 0x33 } } },
    { { { 0x44, 0x49, 0x56, 0x58 } }, { { 0x6d, 0x70, 0x34, 0x76 } } },
    { { { 0x44, 0x4d, 0x34, 0x56 } }, { { 0x6d, 0x70, 0x34, 0x76 } } },
    { { { 0x44, 0x4d, 0x42, 0x31 } }, { { 0x4d, 0x4a, 0x50, 0x47 } } },
    { { { 0x44, 0x4d, 0x4b, 0x32 } }, { { 0x6d, 0x70, 0x34, 0x76 } } },
    { { { 0x44, 0x50, 0x30, 0x32 } }, { { 0x6d, 0x70, 0x34, 0x76 } } },
    { { { 0x44, 0x56, 0x43, 0x53 } }, { { 0x64, 0x76, 0x20, 0x20 } } },
    { { { 0x44, 0x56, 0x53, 0x44 } }, { { 0x64, 0x76, 0x20, 0x20 } } },
    { { { 0x44, 0x56, 0x58, 0x31 } }, { { 0x44, 0x49, 0x56, 0x33 } } },
    { { { 0x44, 0x56, 0x58, 0x33 } }, { { 0x44, 0x49, 0x56, 0x33 } } },
    { { { 0x44, 0x58, 0x35, 0x30 } }, { { 0x6d, 0x70, 0x34, 0x76 } } },
    { { { 0x44, 0x58, 0x44, 0x49 } }, { { 0x44, 0x58, 0x44, 0x33 } } },
    { { { 0x44, 0x58, 0x47, 0x4d } }, { { 0x6d, 0x70, 0x34, 0x76 } } },
    { { { 0x44, 0x59, 0x4d, 0x34 } }, { { 0x6d, 0x70, 0x34, 0x76 } } },
    { { { 0x44, 0x72, 0x65, 0x58 } }, { { 0x6d, 0x70, 0x34, 0x76 } } },
    { { { 0x45, 0x50, 0x48, 0x56 } }, { { 0x6d, 0x70, 0x34, 0x76 } } },
    { { { 0x46, 0x46, 0x44, 0x53 } }, { { 0x6d, 0x70, 0x34, 0x76 } } },
    { { { 0x46, 0x4c, 0x4a, 0x50 } }, { { 0x4d, 0x4a, 0x50, 0x47 } } },
    { { { 0x46, 0x4c, 0x56, 0x34 } }, { { 0x56, 0x50, 0x36, 0x46 } } },
    { { { 0x46, 0x4d, 0x4a, 0x50 } }, { { 0x4d, 0x4a, 0x50, 0x47 } } },
    { { { 0x46, 0x4d, 0x50, 0x34 } }, { { 0x6d, 0x70, 0x34, 0x76 } } },
    { { { 0x46, 0x56, 0x46, 0x57 } }, { { 0x6d, 0x70, 0x34, 0x76 } } },
    { { { 0x47, 0x32, 0x4d, 0x35 } }, { { 0x47, 0x32, 0x4d, 0x34 } } },
    { { { 0x47, 0x41, 0x56, 0x43 } }, { { 0x68, 0x32, 0x36, 0x34 } } },
    { { { 0x47, 0x45, 0x4f, 0x56 } }, { { 0x6d, 0x70, 0x34, 0x76 } } },
    { { { 0x47, 0x45, 0x4f, 0x58 } }, { { 0x6d, 0x70, 0x34, 0x76 } } },
    { { { 0x47, 0x58, 0x56, 0x45 } }, { { 0x57, 0x4d, 0x56, 0x32 } } },
    { { { 0x48, 0x32, 0x36, 0x31 } }, { { 0x68, 0x32, 0x36, 0x31 } } },
    { { { 0x48, 0x32, 0x36, 0x32 } }, { { 0x6d, 0x70, 0x32, 0x76 } } },
    { { { 0x48, 0x32, 0x36, 0x33 } }, { { 0x68, 0x32, 0x36, 0x33 } } },
    { { { 0x48, 0x32, 0x36, 0x34 } }, { { 0x68, 0x32, 0x36, 0x34 } } },
    { { { 0x48, 0x32, 0x36, 0x35 } }, { { 0x68, 0x65, 0x76, 0x63 } } },
    { { { 0x48, 0x44, 0x58, 0x34 } }, { { 0x6d, 0x70, 0x34, 0x76 } } },
    { { { 0x48, 0x44, 0x59, 0x43 } }, { { 0x55, 0x59, 0x56, 0x59 } } },
    { { { 0x48, 0x45, 0x56, 0x43 } }, { { 0x68, 0x65, 0x76, 0x63 } } },
    { { { 0x48, 0x4d, 0x31, 0x30 } }, { { 0x68, 0x65, 0x76, 0x63 } } },
    { { { 0x48, 0x61, 0x70, 0x31 } }, { { 0x48, 0x41, 0x50, 0x31 } } },
    { { { 0x48, 0x61, 0x70, 0x35 } }, { { 0x48, 0x41, 0x50, 0x31 } } },
    { { { 0x48, 0x61, 0x70, 0x59 } }, { { 0x48, 0x41, 0x50, 0x31 } } },
    { { { 0x49, 0x4a, 0x50, 0x47 } }, { { 0x4d, 0x4a, 0x50, 0x47 } } },
    { { { 0x49, 0x4e, 0x4d, 0x43 } }, { { 0x6d, 0x70, 0x34, 0x76 } } },
    { { { 0x49, 0x4e, 0x50, 0x56 } }, { { 0x69, 0x6d, 0x76, 0x65 } } },
    { { { 0x49, 0x50, 0x44, 0x56 } }, { { 0x64, 0x76, 0x20, 0x20 } } },
    { { { 0x49, 0x56, 0x33, 0x32 } }, { { 0x49, 0x56, 0x33, 0x31 } } },
    { { { 0x49, 0x59, 0x55, 0x56 } }, { { 0x49, 0x34, 0x32, 0x30 } } },
    { { { 0x4a, 0x46, 0x49, 0x46 } }, { { 0x4d, 0x4a, 0x50, 0x47 } } },
    { { { 0x4a, 0x50, 0x45, 0x47 } }, { { 0x6a, 0x70, 0x65, 0x67 } } },
    { { { 0x4a, 0x50, 0x47, 0x4c } }, { { 0x4d, 0x4a, 0x50, 0x47 } } },
    { { { 0x4c, 0x32, 0x36, 0x33 } }, { { 0x68, 0x32, 0x36, 0x33 } } },
    { { { 0x4c, 0x4a, 0x32, 0x43 } }, { { 0x4a, 0x50, 0x32, 0x4b } } },
    { { { 0x4c, 0x4a, 0x32, 0x4b } }, { { 0x4a, 0x50, 0x32, 0x4b } } },
    { { { 0x4c, 0x4d, 0x50, 0x32 } }, { { 0x6d, 0x70, 0x32, 0x76 } } },
    { { { 0x4c, 0x4d, 0x50, 0x34 } }, { { 0x6d, 0x70, 0x34, 0x76 } } },
    { { { 0x4c, 0x6a, 0x70, 0x67 } }, { { 0x4c, 0x4a, 0x50, 0x47 } } },
    { { { 0x4d, 0x32, 0x36, 0x33 } }, { { 0x68, 0x32, 0x36, 0x33 } } },
    { { { 0x4d, 0x34, 0x43, 0x43 } }, { { 0x6d, 0x70, 0x34, 0x76 } } },
    { { { 0x4d, 0x34, 0x53, 0x32 } }, { { 0x6d, 0x70, 0x34, 0x76 } } },
    { { { 0x4d, 0x34, 0x54, 0x33 } }, { { 0x6d, 0x70, 0x34, 0x76 } } },
    { { { 0x4d, 0x38, 0x47, 0x30 } }, { { 0x4d, 0x38, 0x59, 0x30 } } },
    { { { 0x4d, 0x38, 0x52, 0x41 } }, { { 0x4d, 0x38, 0x59, 0x30 } } },
    { { { 0x4d, 0x38, 0x52, 0x47 } }, { { 0x4d, 0x38, 0x59, 0x30 } } },
    { { { 0x4d, 0x38, 0x59, 0x32 } }, { { 0x4d, 0x38, 0x59, 0x30 } } },
    { { { 0x4d, 0x38, 0x59, 0x34 } }, { { 0x4d, 0x38, 0x59, 0x30 } } },
    { { { 0x4d, 0x38, 0x59, 0x41 } }, { { 0x4d, 0x38, 0x59, 0x30 } } },
    { { { 0x4d, 0x4a, 0x32, 0x43 } }, { { 0x4a, 0x50, 0x32, 0x4b } } },
    { { { 0x4d, 0x4a, 0x50, 0x32 } }, { { 0x4a, 0x50, 0x32, 0x4b } } },
    { { { 0x4d, 0x4a, 0x50, 0x78 } }, { { 0x4d, 0x4a, 0x50, 0x47 } } },
    { { { 0x4d, 0x4d, 0x45, 0x53 } }, { { 0x6d, 0x70, 0x32, 0x76 } } },
    { { { 0x4d, 0x4d, 0x4a, 0x50 } }, { { 0x4d, 0x4a, 0x50, 0x47 } } },
    { { { 0x4d, 0x50, 0x34, 0x32 } }, { { 0x44, 0x49, 0x56, 0x32 } } },
    { { { 0x4d, 0x50, 0x34, 0x33 } }, { { 0x44, 0x49, 0x56, 0x33 } } },
    { { { 0x4d, 0x50, 0x34, 0x53 } }, { { 0x6d, 0x70, 0x34, 0x76 } } },
    { { { 0x4d, 0x50, 0x34, 0x56 } }, { { 0x6d, 0x70, 0x34, 0x76 } } },
    { { { 0x4d, 0x50, 0x45, 0x47 } }, { { 0x6d, 0x70, 0x32, 0x76 } } },
    { { { 0x4d, 0x50, 0x47, 0x32 } }, { { 0x6d, 0x70, 0x32, 0x76 } } },
    { { { 0x4d, 0x50, 0x47, 0x33 } }, { { 0x44, 0x49, 0x56, 0x33 } } },
    { { { 0x4d, 0x50, 0x47, 0x34 } }, { { 0x44, 0x49, 0x56, 0x31 } } },
    { { { 0x4d, 0x54, 0x47, 0x41 } }, { { 0x74, 0x67, 0x61, 0x20 } } },
    { { { 0x4d, 0x56, 0x58, 0x4d } }, { { 0x6d, 0x70, 0x34, 0x76 } } },
    { { { 0x4e, 0x55, 0x56, 0x31 } }, { { 0x4e, 0x4a, 0x50, 0x47 } } },
    { { { 0x50, 0x44, 0x56, 0x43 } }, { { 0x64, 0x76, 0x20, 0x20 } } },
    { { { 0x50, 0x49, 0x4d, 0x31 } }, { { 0x6d, 0x70, 0x32, 0x76 } } },
    { { { 0x50, 0x49, 0x4d, 0x32 } }, { { 0x6d, 0x70, 0x32, 0x76 } } },
    { { { 0x50, 0x49, 0x58, 0x4c } }, { { 0x56, 0x49, 0x58, 0x4c } } },
    { { { 0x50, 0x4c, 0x56, 0x31 } }, { { 0x6d, 0x70, 0x34, 0x76 } } },
    { { { 0x50, 0x4d, 0x34, 0x56 } }, { { 0x6d, 0x70, 0x34, 0x76 } } },
    { { { 0x50, 0x56, 0x45, 0x5a } }, { { 0x44, 0x55, 0x43, 0x4b } } },
    { { { 0x51, 0x31, 0x2e, 0x30 } }, { { 0x51, 0x50, 0x45, 0x47 } } },
    { { { 0x51, 0x31, 0x2e, 0x31 } }, { { 0x51, 0x50, 0x45, 0x47 } } },
    { { { 0x51, 0x32, 0x36, 0x34 } }, { { 0x68, 0x32, 0x36, 0x34 } } },
    { { { 0x51, 0x49, 0x56, 0x47 } }, { { 0x4d, 0x4a, 0x50, 0x47 } } },
    { { { 0x51, 0x4d, 0x50, 0x34 } }, { { 0x6d, 0x70, 0x34, 0x76 } } },
    { { { 0x52, 0x47, 0x42, 0x32 } }, { { 0x52, 0x47, 0x42, 0x38 } } },
    { { { 0x52, 0x4a, 0x50, 0x47 } }, { { 0x4e, 0x4a, 0x50, 0x47 } } },
    { { { 0x52, 0x4d, 0x50, 0x34 } }, { { 0x6d, 0x70, 0x34, 0x76 } } },
    { { { 0x52, 0x50, 0x5a, 0x41 } }, { { 0x72, 0x70, 0x7a, 0x61 } } },
    { { { 0x52, 0x54, 0x32, 0x31 } }, { { 0x49, 0x56, 0x32, 0x30 } } },
    { { { 0x53, 0x32, 0x36, 0x33 } }, { { 0x68, 0x32, 0x36, 0x33 } } },
    { { { 0x53, 0x45, 0x44, 0x47 } }, { { 0x6d, 0x70, 0x34, 0x76 } } },
    { { { 0x53, 0x48, 0x51, 0x30 } }, { { 0x53, 0x48, 0x51, 0x32 } } },
    { { { 0x53, 0x48, 0x51, 0x31 } }, { { 0x53, 0x48, 0x51, 0x32 } } },
    { { { 0x53, 0x48, 0x51, 0x33 } }, { { 0x53, 0x48, 0x51, 0x32 } } },
    { { { 0x53, 0x48, 0x51, 0x34 } }, { { 0x53, 0x48, 0x51, 0x32 } } },
    { { { 0x53, 0x48, 0x51, 0x35 } }, { { 0x53, 0x48, 0x51, 0x32 } } },
    { { { 0x53, 0x48, 0x51, 0x37 } }, { { 0x53, 0x48, 0x51, 0x32 } } },
    { { { 0x53, 0x48, 0x51, 0x39 } }, { { 0x53, 0x48, 0x51, 0x32 } } },
    { { { 0x53, 0x4a, 0x50, 0x47 } }, { { 0x4d, 0x4a, 0x50, 0x47 } } },
    { { { 0x53, 0x4c, 0x32, 0x35 } }, { { 0x64, 0x76, 0x20, 0x20 } } },
    { { { 0x53, 0x4c, 0x44, 0x56 } }, { { 0x64, 0x76, 0x20, 0x20 } } },
    { { { 0x53, 0x4c, 0x4d, 0x4a } }, { { 0x4d, 0x4a, 0x50, 0x47 } } },
    { { { 0x53, 0x4d, 0x34, 0x56 } }, { { 0x6d, 0x70, 0x34, 0x76 } } },
    { { { 0x53, 0x4d, 0x4b, 0x34 } }, { { 0x53, 0x4d, 0x4b, 0x32 } } },
    { { { 0x53, 0x4d, 0x50, 0x34 } }, { { 0x6d, 0x70, 0x34, 0x76 } } },
    { { { 0x53, 0x4d, 0x56, 0x32 } }, { { 0x68, 0x32, 0x36, 0x34 } } },
    { { { 0x53, 0x4e, 0x34, 0x30 } }, { { 0x6d, 0x70, 0x34, 0x76 } } },
    { { { 0x53, 0x50, 0x35, 0x33 } }, { { 0x53, 0x50, 0x35, 0x58 } } },
    { { { 0x53, 0x50, 0x35, 0x34 } }, { { 0x53, 0x50, 0x35, 0x58 } } },
    { { { 0x53, 0x50, 0x35, 0x35 } }, { { 0x53, 0x50, 0x35, 0x58 } } },
    { { { 0x53, 0x50, 0x35, 0x36 } }, { { 0x53, 0x50, 0x35, 0x58 } } },
    { { { 0x53, 0x50, 0x35, 0x37 } }, { { 0x53, 0x50, 0x35, 0x58 } } },
    { { { 0x53, 0x50, 0x35, 0x38 } }, { { 0x53, 0x50, 0x35, 0x58 } } },
    { { { 0x54, 0x32, 0x36, 0x33 } }, { { 0x68, 0x32, 0x36, 0x33 } } },
    { { { 0x54, 0x48, 0x45, 0x4f } }, { { 0x74, 0x68, 0x65, 0x6f } } },
    { { { 0x54, 0x68, 0x72, 0x61 } }, { { 0x74, 0x68, 0x65, 0x6f } } },
    { { { 0x55, 0x32, 0x36, 0x33 } }, { { 0x49, 0x4c, 0x56, 0x52 } } },
    { { { 0x55, 0x4c, 0x48, 0x30 } }, { { 0x55, 0x4c, 0x52, 0x41 } } },
    { { { 0x55, 0x4c, 0x48, 0x32 } }, { { 0x55, 0x4c, 0x52, 0x41 } } },
    { { { 0x55, 0x4c, 0x48, 0x34 } }, { { 0x55, 0x4c, 0x52, 0x41 } } },
    { { { 0x55, 0x4c, 0x52, 0x47 } }, { { 0x55, 0x4c, 0x52, 0x41 } } },
    { { { 0x55, 0x4c, 0x59, 0x30 } }, { { 0x55, 0x4c, 0x52, 0x41 } } },
    { { { 0x55, 0x4c, 0x59, 0x32 } }, { { 0x55, 0x4c, 0x52, 0x41 } } },
    { { { 0x55, 0x4c, 0x59, 0x34 } }, { { 0x55, 0x4c, 0x52, 0x41 } } },
    { { { 0x55, 0x4d, 0x50, 0x34 } }, { { 0x6d, 0x70, 0x34, 0x76 } } },
    { { { 0x55, 0x4d, 0x53, 0x56 } }, { { 0x68, 0x32, 0x36, 0x34 } } },
    { { { 0x55, 0x51, 0x52, 0x41 } }, { { 0x55, 0x4c, 0x52, 0x41 } } },
    { { { 0x55, 0x51, 0x52, 0x47 } }, { { 0x55, 0x4c, 0x52, 0x41 } } },
    { { { 0x55, 0x51, 0x59, 0x32 } }, { { 0x55, 0x4c, 0x52, 0x41 } } },
    { { { 0x55, 0x59, 0x4e, 0x56 } }, { { 0x55, 0x59, 0x56, 0x59 } } },
    { { { 0x55, 0x59, 0x4e, 0x59 } }, { { 0x55, 0x59, 0x56, 0x59 } } },
    { { { 0x56, 0x32, 0x36, 0x34 } }, { { 0x68, 0x32, 0x36, 0x34 } } },
    { { { 0x56, 0x34, 0x32, 0x32 } }, { { 0x59, 0x55, 0x59, 0x32 } } },
    { { { 0x56, 0x43, 0x52, 0x32 } }, { { 0x6d, 0x70, 0x32, 0x76 } } },
    { { { 0x56, 0x44, 0x56, 0x52 } }, { { 0x56, 0x44, 0x4f, 0x52 } } },
    { { { 0x56, 0x49, 0x44, 0x4d } }, { { 0x6d, 0x70, 0x34, 0x76 } } },
    { { { 0x56, 0x49, 0x56, 0x4f } }, { { 0x49, 0x4c, 0x56, 0x52 } } },
    { { { 0x56, 0x50, 0x33, 0x30 } }, { { 0x56, 0x50, 0x33, 0x20 } } },
    { { { 0x56, 0x50, 0x33, 0x31 } }, { { 0x56, 0x50, 0x33, 0x20 } } },
    { { { 0x56, 0x50, 0x35, 0x30 } }, { { 0x56, 0x50, 0x35, 0x20 } } },
    { { { 0x56, 0x50, 0x36, 0x30 } }, { { 0x56, 0x50, 0x36, 0x32 } } },
    { { { 0x56, 0x50, 0x36, 0x31 } }, { { 0x56, 0x50, 0x36, 0x32 } } },
    { { { 0x56, 0x50, 0x37, 0x31 } }, { { 0x56, 0x50, 0x37, 0x30 } } },
    { { { 0x56, 0x53, 0x53, 0x48 } }, { { 0x68, 0x32, 0x36, 0x34 } } },
    { { { 0x56, 0x53, 0x53, 0x57 } }, { { 0x68, 0x32, 0x36, 0x34 } } },
    { { { 0x56, 0x58, 0x31, 0x4b } }, { { 0x68, 0x32, 0x36, 0x33 } } },
    { { { 0x57, 0x48, 0x41, 0x4d } }, { { 0x4d, 0x53, 0x56, 0x43 } } },
    { { { 0x57, 0x52, 0x4c, 0x45 } }, { { 0x6d, 0x72, 0x6c, 0x65 } } },
    { { { 0x57, 0x56, 0x31, 0x46 } }, { { 0x6d, 0x70, 0x34, 0x76 } } },
    { { { 0x57, 0x56, 0x43, 0x31 } }, { { 0x56, 0x43, 0x2d, 0x31 } } },
    { { { 0x58, 0x32, 0x36, 0x33 } }, { { 0x68, 0x32, 0x36, 0x33 } } },
    { { { 0x58, 0x32, 0x36, 0x34 } }, { { 0x68, 0x32, 0x36, 0x34 } } },
    { { { 0x58, 0x49, 0x58, 0x4c } }, { { 0x56, 0x49, 0x58, 0x4c } } },
    { { { 0x58, 0x4d, 0x50, 0x47 } }, { { 0x6d, 0x70, 0x31, 0x76 } } },
    { { { 0x58, 0x56, 0x49, 0x44 } }, { { 0x6d, 0x70, 0x34, 0x76 } } },
    { { { 0x58, 0x56, 0x49, 0x58 } }, { { 0x6d, 0x70, 0x34, 0x76 } } },
    { { { 0x58, 0x76, 0x69, 0x44 } }, { { 0x6d, 0x70, 0x34, 0x76 } } },
    { { { 0x59, 0x34, 0x31, 0x42 } }, { { 0x49, 0x34, 0x31, 0x31 } } },
    { { { 0x59, 0x34, 0x32, 0x32 } }, { { 0x55, 0x59, 0x56, 0x59 } } },
    { { { 0x59, 0x34, 0x32, 0x42 } }, { { 0x49, 0x34, 0x32, 0x32 } } },
    { { { 0x59, 0x38, 0x20, 0x20 } }, { { 0x47, 0x52, 0x45, 0x59 } } },
    { { { 0x59, 0x38, 0x30, 0x30 } }, { { 0x47, 0x52, 0x45, 0x59 } } },
    { { { 0x59, 0x55, 0x4e, 0x56 } }, { { 0x59, 0x55, 0x59, 0x32 } } },
    { { { 0x59, 0x55, 0x56, 0x38 } }, { { 0x57, 0x4e, 0x56, 0x31 } } },
    { { { 0x59, 0x55, 0x59, 0x56 } }, { { 0x59, 0x55, 0x59, 0x32 } } },
    { { { 0x5a, 0x79, 0x47, 0x6f } }, { { 0x68, 0x32, 0x36, 0x33 } } },
    { { { 0x61, 0x69, 0x31, 0x32 } }, { { 0x68, 0x32, 0x36, 0x34 } } },
    { { { 0x61, 0x69, 0x31, 0x33 } }, { { 0x68, 0x32, 0x36, 0x34 } } },
    { { { 0x61, 0x69, 0x31, 0x35 } }, { { 0x68, 0x32, 0x36, 0x34 } } },
    { { { 0x61, 0x69, 0x31, 0x36 } }, { { 0x68, 0x32, 0x36, 0x34 } } },
    { { { 0x61, 0x69, 0x31, 0x70 } }, { { 0x68, 0x32, 0x36, 0x34 } } },
    { { { 0x61, 0x69, 0x31, 0x71 } }, { { 0x68, 0x32, 0x36, 0x34 } } },
    { { { 0x61, 0x69, 0x35, 0x32 } }, { { 0x68, 0x32, 0x36, 0x34 } } },
    { { { 0x61, 0x69, 0x35, 0x33 } }, { { 0x68, 0x32, 0x36, 0x34 } } },
    { { { 0x61, 0x69, 0x35, 0x35 } }, { { 0x68, 0x32, 0x36, 0x34 } } },
    { { { 0x61, 0x69, 0x35, 0x36 } }, { { 0x68, 0x32, 0x36, 0x34 } } },
    { { { 0x61, 0x69, 0x35, 0x70 } }, { { 0x68, 0x32, 0x36, 0x34 } } },
    { { { 0x61, 0x69, 0x35, 0x71 } }, { { 0x68, 0x32, 0x36, 0x34 } } },
    { { { 0x61, 0x70, 0x34, 0x63 } }, { { 0x61, 0x70, 0x63, 0x6e } } },
    { { { 0x61, 0x70, 0x34, 0x68 } }, { { 0x61, 0x70, 0x63, 0x6e } } },
    { { { 0x61, 0x70, 0x34, 0x78 } }, { { 0x61, 0x70, 0x63, 0x6e } } },
    { { { 0x61, 0x70, 0x63, 0x68 } }, { { 0x61, 0x70, 0x63, 0x6e } } },
    { { { 0x61, 0x70, 0x63, 0x6f } }, { { 0x61, 0x70, 0x63, 0x6e } } },
    { { { 0x61, 0x70, 0x63, 0x73 } }, { { 0x61, 0x70, 0x63, 0x6e } } },
    { { { 0x61, 0x76, 0x31, 0x30 } }, { { 0x61, 0x76, 0x30, 0x31 } } },
    { { { 0x61, 0x76, 0x63, 0x31 } }, { { 0x68, 0x32, 0x36, 0x34 } } },
    { { { 0x61, 0x76, 0x63, 0x33 } }, { { 0x68, 0x32, 0x36, 0x34 } } },
    { { { 0x61, 0x76, 0x73, 0x32 } }, { { 0x43, 0x41, 0x56, 0x53 } } },
    { { { 0x61, 0x7a, 0x70, 0x72 } }, { { 0x72, 0x70, 0x7a, 0x61 } } },
    { { { 0x63, 0x64, 0x76, 0x63 } }, { { 0x64, 0x76, 0x20, 0x20 } } },
    { { { 0x63, 0x64, 0x76, 0x68 } }, { { 0x64, 0x76, 0x20, 0x20 } } },
    { { { 0x63, 0x6f, 0x6c, 0x30 } }, { { 0x44, 0x49, 0x56, 0x33 } } },
    { { { 0x63, 0x6f, 0x6c, 0x31 } }, { { 0x44, 0x49, 0x56, 0x33 } } },
    { { { 0x63, 0x72, 0x61, 0x6d } }, { { 0x4d, 0x53, 0x56, 0x43 } } },
    { { { 0x63, 0x73, 0x63, 0x64 } }, { { 0x43, 0x53, 0x43, 0x44 } } },
    { { { 0x63, 0x76, 0x69, 0x64 } }, { { 0x43, 0x56, 0x49, 0x44 } } },
    { { { 0x64, 0x32, 0x36, 0x33 } }, { { 0x68, 0x32, 0x36, 0x33 } } },
    { { { 0x64, 0x61, 0x76, 0x63 } }, { { 0x68, 0x32, 0x36, 0x34 } } },
    { { { 0x64, 0x63, 0x32, 0x35 } }, { { 0x64, 0x76, 0x20, 0x20 } } },
    { { { 0x64, 0x69, 0x76, 0x31 } }, { { 0x44, 0x49, 0x56, 0x31 } } },
    { { { 0x64, 0x69, 0x76, 0x32 } }, { { 0x44, 0x49, 0x56, 0x32 } } },
    { { { 0x64, 0x69, 0x76, 0x33 } }, { { 0x44, 0x49, 0x56, 0x33 } } },
    { { { 0x64, 0x69, 0x76, 0x34 } }, { { 0x44, 0x49, 0x56, 0x33 } } },
    { { { 0x64, 0x69, 0x76, 0x35 } }, { { 0x44, 0x49, 0x56, 0x33 } } },
    { { { 0x64, 0x69, 0x76, 0x36 } }, { { 0x44, 0x49, 0x56, 0x33 } } },
    { { { 0x64, 0x69, 0x76, 0x66 } }, { { 0x44, 0x49, 0x56, 0x33 } } },
    { { { 0x64, 0x69, 0x76, 0x78 } }, { { 0x6d, 0x70, 0x34, 0x76 } } },
    { { { 0x64, 0x6d, 0x62, 0x31 } }, { { 0x4d, 0x4a, 0x50, 0x47 } } },
    { { { 0x64, 0x76, 0x31, 0x6e } }, { { 0x64, 0x76, 0x20, 0x20 } } },
    { { { 0x64, 0x76, 0x31, 0x70 } }, { { 0x64, 0x76, 0x20, 0x20 } } },
    { { { 0x64, 0x76, 0x32, 0x35 } }, { { 0x64, 0x76, 0x20, 0x20 } } },
    { { { 0x64, 0x76, 0x35, 0x30 } }, { { 0x64, 0x76, 0x20, 0x20 } } },
    { { { 0x64, 0x76, 0x35, 0x6e } }, { { 0x64, 0x76, 0x20, 0x20 } } },
    { { { 0x64, 0x76, 0x35, 0x70 } }, { { 0x64, 0x76, 0x20, 0x20 } } },
    { { { 0x64, 0x76, 0x61, 0x31 } }, { { 0x68, 0x32, 0x36, 0x34 } } },
    { { { 0x64, 0x76, 0x61, 0x76 } }, { { 0x68, 0x32, 0x36, 0x34 } } },
    { { { 0x64, 0x76, 0x63, 0x20 } }, { { 0x64, 0x76, 0x20, 0x20 } } },
    { { { 0x64, 0x76, 0x63, 0x70 } }, { { 0x64, 0x76, 0x20, 0x20 } } },
    { { { 0x64, 0x76, 0x63, 0x73 } }, { { 0x64, 0x76, 0x20, 0x20 } } },
    { { { 0x64, 0x76, 0x68, 0x31 } }, { { 0x64, 0x76, 0x20, 0x20 } } },
    { { { 0x64, 0x76, 0x68, 0x32 } }, { { 0x64, 0x76, 0x20, 0x20 } } },
    { { { 0x64, 0x76, 0x68, 0x33 } }, { { 0x64, 0x76, 0x20, 0x20 } } },
    { { { 0x64, 0x76, 0x68, 0x34 } }, { { 0x64, 0x76, 0x20, 0x20 } } },
    { { { 0x64, 0x76, 0x68, 0x35 } }, { { 0x64, 0x76, 0x20, 0x20 } } },
    { { { 0x64, 0x76, 0x68, 0x36 } }, { { 0x64, 0x76, 0x20, 0x20 } } },
    { { { 0x64, 0x76, 0x68, 0x64 } }, { { 0x64, 0x76, 0x20, 0x20 } } },
    { { { 0x64, 0x76, 0x68, 0x65 } }, { { 0x68, 0x65, 0x76, 0x63 } } },
    { { { 0x64, 0x76, 0x68, 0x70 } }, { { 0x64, 0x76, 0x20, 0x20 } } },
    { { { 0x64, 0x76, 0x68, 0x71 } }, { { 0x64, 0x76, 0x20, 0x20 } } },
    { { { 0x64, 0x76, 0x69, 0x73 } }, { { 0x64, 0x76, 0x20, 0x20 } } },
    { { { 0x64, 0x76, 0x70, 0x20 } }, { { 0x64, 0x76, 0x20, 0x20 } } },
    { { { 0x64, 0x76, 0x70, 0x70 } }, { { 0x64, 0x76, 0x20, 0x20 } } },
    { { { 0x64, 0x76, 0x73, 0x31 } }, { { 0x64, 0x76, 0x20, 0x20 } } },
    { { { 0x64, 0x76, 0x73, 0x64 } }, { { 0x64, 0x76, 0x20, 0x20 } } },
    { { { 0x64, 0x76, 0x73, 0x6c } }, { { 0x64, 0x76, 0x20, 0x20 } } },
    { { { 0x64, 0x78, 0x35, 0x30 } }, { { 0x6d, 0x70, 0x34, 0x76 } } },
    { { { 0x66, 0x6c, 0x76, 0x20 } }, { { 0x46, 0x4c, 0x56, 0x31 } } },
    { { { 0x66, 0x6d, 0x70, 0x34 } }, { { 0x6d, 0x70, 0x34, 0x76 } } },
    { { { 0x66, 0x70, 0x73, 0x31 } }, { { 0x46, 0x50, 0x53, 0x31 } } },
    { { { 0x66, 0x76, 0x66, 0x77 } }, { { 0x6d, 0x70, 0x34, 0x76 } } },
    { { { 0x68, 0x32, 0x36, 0x35 } }, { { 0x68, 0x65, 0x76, 0x63 } } },
    { { { 0x68, 0x64, 0x76, 0x31 } }, { { 0x6d, 0x70, 0x32, 0x76 } } },
    { { { 0x68, 0x64, 0x76, 0x32 } }, { { 0x6d, 0x70, 0x32, 0x76 } } },
    { { { 0x68, 0x64, 0x76, 0x33 } }, { { 0x6d, 0x70, 0x32, 0x76 } } },
    { { { 0x68, 0x64, 0x76, 0x34 } }, { { 0x6d, 0x70, 0x32, 0x76 } } },
    { { { 0x68, 0x64, 0x76, 0x35 } }, { { 0x6d, 0x70, 0x32, 0x76 } } },
    { { { 0x68, 0x64, 0x76, 0x36 } }, { { 0x6d, 0x70, 0x32, 0x76 } } },
    { { { 0x68, 0x64, 0x76, 0x37 } }, { { 0x6d, 0x70, 0x32, 0x76 } } },
    { { { 0x68, 0x64, 0x76, 0x38 } }, { { 0x6d, 0x70, 0x32, 0x76 } } },
    { { { 0x68, 0x64, 0x76, 0x39 } }, { { 0x6d, 0x70, 0x32, 0x76 } } },
    { { { 0x68, 0x64, 0x76, 0x61 } }, { { 0x6d, 0x70, 0x32, 0x76 } } },
    { { { 0x68, 0x64, 0x78, 0x34 } }, { { 0x6d, 0x70, 0x34, 0x76 } } },
    { { { 0x68, 0x65, 0x76, 0x31 } }, { { 0x68, 0x65, 0x76, 0x63 } } },
    { { { 0x68, 0x76, 0x63, 0x31 } }, { { 0x68, 0x65, 0x76, 0x63 } } },
    { { { 0x69, 0x32, 0x36, 0x33 } }, { { 0x49, 0x32, 0x36, 0x33 } } },
    { { { 0x69, 0x6a, 0x70, 0x67 } }, { { 0x4d, 0x4a, 0x50, 0x47 } } },
    { { { 0x69, 0x70, 0x64, 0x76 } }, { { 0x64, 0x76, 0x20, 0x20 } } },
    { { { 0x69, 0x76, 0x33, 0x31 } }, { { 0x49, 0x56, 0x33, 0x31 } } },
    { { { 0x69, 0x76, 0x33, 0x32 } }, { { 0x49, 0x56, 0x33, 0x31 } } },
    { { { 0x69, 0x76, 0x34, 0x31 } }, { { 0x49, 0x56, 0x34, 0x31 } } },
    { { { 0x69, 0x76, 0x35, 0x30 } }, { { 0x49, 0x56, 0x35, 0x30 } } },
    { { { 0x6c, 0x73, 0x76, 0x6d } }, { { 0x68, 0x32, 0x36, 0x33 } } },
    { { { 0x6d, 0x31, 0x76, 0x20 } }, { { 0x6d, 0x70, 0x31, 0x76 } } },
    { { { 0x6d, 0x34, 0x63, 0x63 } }, { { 0x6d, 0x70, 0x34, 0x76 } } },
    { { { 0x6d, 0x34, 0x73, 0x32 } }, { { 0x6d, 0x70, 0x34, 0x76 } } },
    { { { 0x6d, 0x4a, 0x50, 0x47 } }, { { 0x4d, 0x4a, 0x50, 0x47 } } },
    { { { 0x6d, 0x6a, 0x70, 0x32 } }, { { 0x4a, 0x50, 0x32, 0x4b } } },
    { { { 0x6d, 0x6a, 0x70, 0x61 } }, { { 0x4d, 0x4a, 0x50, 0x47 } } },
    { { { 0x6d, 0x6a, 0x70, 0x67 } }, { { 0x4d, 0x4a, 0x50, 0x47 } } },
    { { { 0x6d, 0x6d, 0x65, 0x73 } }, { { 0x6d, 0x70, 0x32, 0x76 } } },
    { { { 0x6d, 0x70, 0x34, 0x31 } }, { { 0x44, 0x49, 0x56, 0x31 } } },
    { { { 0x6d, 0x70, 0x34, 0x32 } }, { { 0x44, 0x49, 0x56, 0x32 } } },
    { { { 0x6d, 0x70, 0x34, 0x33 } }, { { 0x44, 0x49, 0x56, 0x33 } } },
    { { { 0x6d, 0x70, 0x34, 0x73 } }, { { 0x6d, 0x70, 0x34, 0x76 } } },
    { { { 0x6d, 0x70, 0x65, 0x67 } }, { { 0x6d, 0x70, 0x32, 0x76 } } },
    { { { 0x6d, 0x70, 0x67, 0x31 } }, { { 0x6d, 0x70, 0x31, 0x76 } } },
    { { { 0x6d, 0x70, 0x67, 0x32 } }, { { 0x6d, 0x70, 0x32, 0x76 } } },
    { { { 0x6d, 0x70, 0x67, 0x33 } }, { { 0x44, 0x49, 0x56, 0x33 } } },
    { { { 0x6d, 0x70, 0x67, 0x34 } }, { { 0x44, 0x49, 0x56, 0x31 } } },
    { { { 0x6d, 0x73, 0x73, 0x31 } }, { { 0x4d, 0x53, 0x53, 0x31 } } },
    { { { 0x6d, 0x73, 0x73, 0x32 } }, { { 0x4d, 0x53, 0x53, 0x32 } } },
    { { { 0x6d, 0x73, 0x76, 0x63 } }, { { 0x4d, 0x53, 0x56, 0x43 } } },
    { { { 0x6d, 0x74, 0x67, 0x61 } }, { { 0x74, 0x67, 0x61, 0x20 } } },
    { { { 0x6d, 0x78, 0x33, 0x6e } }, { { 0x6d, 0x70, 0x32, 0x76 } } },
    { { { 0x6d, 0x78, 0x33, 0x70 } }, { { 0x6d, 0x70, 0x32, 0x76 } } },
    { { { 0x6d, 0x78, 0x34, 0x6e } }, { { 0x6d, 0x70, 0x32, 0x76 } } },
    { { { 0x6d, 0x78, 0x34, 0x70 } }, { { 0x6d, 0x70, 0x32, 0x76 } } },
    { { { 0x6d, 0x78, 0x35, 0x6e } }, { { 0x6d, 0x70, 0x32, 0x76 } } },
    { { { 0x6d, 0x78, 0x35, 0x70 } }, { { 0x6d, 0x70, 0x32, 0x76 } } },
    { { { 0x70, 0x64, 0x76, 0x63 } }, { { 0x64, 0x76, 0x20, 0x20 } } },
    { { { 0x71, 0x32, 0x36, 0x34 } }, { { 0x68, 0x32, 0x36, 0x34 } } },
    { { { 0x71, 0x49, 0x56, 0x47 } }, { { 0x4d, 0x4a, 0x50, 0x47 } } },
    { { { 0x71, 0x4d, 0x50, 0x34 } }, { { 0x6d, 0x70, 0x34, 0x76 } } },
    { { { 0x72, 0x76, 0x31, 0x30 } }, { { 0x52, 0x56, 0x31, 0x30 } } },
    { { { 0x72, 0x76, 0x31, 0x33 } }, { { 0x52, 0x56, 0x31, 0x33 } } },
    { { { 0x72, 0x76, 0x32, 0x30 } }, { { 0x52, 0x56, 0x32, 0x30 } } },
    { { { 0x72, 0x76, 0x33, 0x30 } }, { { 0x52, 0x56, 0x33, 0x30 } } },
    { { { 0x72, 0x76, 0x34, 0x30 } }, { { 0x52, 0x56, 0x34, 0x30 } } },
    { { { 0x72, 0x76, 0x36, 0x34 } }, { { 0x68, 0x32, 0x36, 0x34 } } },
    { { { 0x73, 0x32, 0x36, 0x33 } }, { { 0x68, 0x32, 0x36, 0x33 } } },
    { { { 0x73, 0x6d, 0x70, 0x34 } }, { { 0x6d, 0x70, 0x34, 0x76 } } },
    { { { 0x73, 0x76, 0x71, 0x31 } }, { { 0x53, 0x56, 0x51, 0x31 } } },
    { { { 0x73, 0x76, 0x71, 0x69 } }, { { 0x53, 0x56, 0x51, 0x31 } } },
    { { { 0x74, 0x73, 0x63, 0x32 } }, { { 0x54, 0x53, 0x43, 0x32 } } },
    { { { 0x74, 0x73, 0x63, 0x63 } }, { { 0x54, 0x53, 0x43, 0x43 } } },
    { { { 0x74, 0x73, 0x68, 0x64 } }, { { 0x68, 0x32, 0x36, 0x34 } } },
    { { { 0x75, 0x32, 0x36, 0x33 } }, { { 0x68, 0x32, 0x36, 0x33 } } },
    { { { 0x75, 0x79, 0x76, 0x31 } }, { { 0x55, 0x59, 0x56, 0x59 } } },
    { { { 0x76, 0x63, 0x2d, 0x31 } }, { { 0x56, 0x43, 0x2d, 0x31 } } },
    { { { 0x76, 0x69, 0x76, 0x31 } }, { { 0x49, 0x4c, 0x56, 0x52 } } },
    { { { 0x76, 0x69, 0x76, 0x32 } }, { { 0x49, 0x4c, 0x56, 0x52 } } },
    { { { 0x76, 0x69, 0x76, 0x4f } }, { { 0x49, 0x4c, 0x56, 0x52 } } },
    { { { 0x76, 0x6d, 0x64, 0x76 } }, { { 0x56, 0x4d, 0x44, 0x56 } } },
    { { { 0x76, 0x70, 0x33, 0x30 } }, { { 0x56, 0x50, 0x33, 0x20 } } },
    { { { 0x76, 0x70, 0x33, 0x31 } }, { { 0x56, 0x50, 0x33, 0x20 } } },
    { { { 0x76, 0x70, 0x36, 0x32 } }, { { 0x56, 0x50, 0x36, 0x32 } } },
    { { { 0x76, 0x73, 0x73, 0x68 } }, { { 0x68, 0x32, 0x36, 0x34 } } },
    { { { 0x77, 0x32, 0x36, 0x34 } }, { { 0x68, 0x32, 0x36, 0x34 } } },
    { { { 0x77, 0x49, 0x56, 0x47 } }, { { 0x4d, 0x4a, 0x50, 0x47 } } },
    { { { 0x77, 0x4d, 0x50, 0x34 } }, { { 0x6d, 0x70, 0x34, 0x76 } } },
    { { { 0x77, 0x68, 0x61, 0x6d } }, { { 0x4d, 0x53, 0x56, 0x43 } } },
    { { { 0x77, 0x6d, 0x76, 0x31 } }, { { 0x57, 0x4d, 0x56, 0x31 } } },
    { { { 0x77, 0x6d, 0x76, 0x32 } }, { { 0x57, 0x4d, 0x56, 0x32 } } },
    { { { 0x77, 0x6d, 0x76, 0x33 } }, { { 0x57, 0x4d, 0x56, 0x33 } } },
    { { { 0x77, 0x6d, 0x76, 0x61 } }, { { 0x57, 0x4d, 0x56, 0x41 } } },
    { { { 0x77, 0x6d, 0x76, 0x70 } }, { { 0x57, 0x4d, 0x56, 0x50 } } },
    { { { 0x77, 0x76, 0x63, 0x31 } }, { { 0x56, 0x43, 0x2d, 0x31 } } },
    { { { 0x77, 0x76, 0x70, 0x32 } }, { { 0x57, 0x56, 0x50, 0x32 } } },
    { { { 0x78, 0x32, 0x36, 0x34 } }, { { 0x68, 0x32, 0x36, 0x34 } } },
    { { { 0x78, 0x32, 0x36, 0x35 } }, { { 0x68, 0x65, 0x76, 0x63 } } },
    { { { 0x78, 0x33, 0x65, 0x56 } }, { { 0x68, 0x32, 0x36, 0x34 } } },
    { { { 0x78, 0x64, 0x35, 0x31 } }, { { 0x6d, 0x70, 0x32, 0x76 } } },
    { { { 0x78, 0x64, 0x35, 0x34 } }, { { 0x6d, 0x70, 0x32, 0x76 } } },
    { { { 0x78, 0x64, 0x35, 0x35 } }, { { 0x6d, 0x70, 0x32, 0x76 } } },
    { { { 0x78, 0x64, 0x35, 0x39 } }, { { 0x6d, 0x70, 0x32, 0x76 } } },
    { { { 0x78, 0x64, 0x35, 0x61 } }, { { 0x6d, 0x70, 0x32, 0x76 } } },
    { { { 0x78, 0x64, 0x35, 0x62 } }, { { 0x6d, 0x70, 0x32, 0x76 } } },
    { { { 0x78, 0x64, 0x35, 0x63 } }, { { 0x6d, 0x70, 0x32, 0x76 } } },
    { { { 0x78, 0x64, 0x35, 0x64 } }, { { 0x6d, 0x70, 0x32, 0x76 } } },
    { { { 0x78, 0x64, 0x35, 0x65 } }, { { 0x6d, 0x70, 0x32, 0x76 } } },
    { { { 0x78, 0x64, 0x35, 0x66 } }, { { 0x6d, 0x70, 0x32, 0x76 } } },
    { { { 0x78, 0x64, 0x68, 0x32 } }, { { 0x6d, 0x70, 0x32, 0x76 } } },
    { { { 0x78, 0x64, 0x68, 0x64 } }, { { 0x6d, 0x70, 0x32, 0x76 } } },
    { { { 0x78, 0x64, 0x76, 0x31 } }, { { 0x6d, 0x70, 0x32, 0x76 } } },
    { { { 0x78, 0x64, 0x76, 0x32 } }, { { 0x6d, 0x70, 0x32, 0x76 } } },
    { { { 0x78, 0x64, 0x76, 0x33 } }, { { 0x6d, 0x70, 0x32, 0x76 } } },
    { { { 0x78, 0x64, 0x76, 0x34 } }, { { 0x6d, 0x70, 0x32, 0x76 } } },
    { { { 0x78, 0x64, 0x76, 0x35 } }, { { 0x6d, 0x70, 0x32, 0x76 } } },
    { { { 0x78, 0x64, 0x76, 0x36 } }, { { 0x6d, 0x70, 0x32, 0x76 } } },
    { { { 0x78, 0x64, 0x76, 0x37 } }, { { 0x6d, 0x70, 0x32, 0x76 } } },
    { { { 0x78, 0x64, 0x76, 0x38 } }, { { 0x6d, 0x70, 0x32, 0x76 } } },
    { { { 0x78, 0x64, 0x76, 0x39 } }, { { 0x6d, 0x70, 0x32, 0x76 } } },
    { { { 0x78, 0x64, 0x76, 0x61 } }, { { 0x6d, 0x70, 0x32, 0x76 } } },
    { { { 0x78, 0x64, 0x76, 0x62 } }, { { 0x6d, 0x70, 0x32, 0x76 } } },
    { { { 0x78, 0x64, 0x76, 0x63 } }, { { 0x6d, 0x70, 0x32, 0x76 } } },
    { { { 0x78, 0x64, 0x76, 0x64 } }, { { 0x6d, 0x70, 0x32, 0x76 } } },
    { { { 0x78, 0x64, 0x76, 0x65 } }, { { 0x6d, 0x70, 0x32, 0x76 } } },
    { { { 0x78, 0x64, 0x76, 0x66 } }, { { 0x6d, 0x70, 0x32, 0x76 } } },
    { { { 0x78, 0x76, 0x69, 0x64 } }, { { 0x6d, 0x70, 0x34, 0x76 } } },
    { { { 0x78, 0x76, 0x69, 0x78 } }, { { 0x6d, 0x70, 0x34, 0x76 } } },
    { { { 0x79, 0x75, 0x76, 0x75 } }, { { 0x79, 0x75, 0x76, 0x32 } } },
    { { { 0x79, 0x76, 0x31, 0x32 } }, { { 0x59, 0x56, 0x31, 0x32 } } },
};
static const struct fourcc_desc desc_video[] = {
    { { { 0x33, 0x49, 0x56, 0x32 } }, "3ivx MPEG-4 Video" },
    { { { 0x33, 0x69, 0x76, 0x32 } }, "3ivx MPEG-4 Video" },
    { { { 0x34, 0x58, 0x4d, 0x56 } }, "4X Technologies Video" },
    { { { 0x38, 0x42, 0x50, 0x53 } }, "8BPS" },
    { { { 0x41, 0x41, 0x53, 0x34 } }, "Autodesc RLE Video 24bit" },
    { { { 0x41, 0x41, 0x53, 0x43 } }, "Autodesc RLE Video" },
    { { { 0x41, 0x43, 0x44, 0x56 } }, "ACD Systems Digital" },
    { { { 0x41, 0x44, 0x4a, 0x56 } }, "Avid Motion JPEG" },
    { { { 0x41, 0x47, 0x4d, 0x30 } }, "AmuseGraphics Movie" },
    { { { 0x41, 0x4d, 0x56, 0x20 } }, "AMV" },
    { { { 0x41, 0x4e, 0x49, 0x4d } }, "DeluxePaint animation" },
    { { { 0x41, 0x4e, 0x4f, 0x50 } }, "Android opaque" },
    { { { 0x41, 0x52, 0x47, 0x42 } }, "32 bits ARGB" },
    { { { 0x41, 0x53, 0x56, 0x31 } }, "Asus V1 Video" },
    { { { 0x41, 0x53, 0x56, 0x32 } }, "Asus V2 Video" },
    { { { 0x41, 0x55, 0x52, 0x41 } }, "Auravision Aura" },
    { { { 0x41, 0x56, 0x44, 0x4a } }, "Avid Motion JPEG" },
    { { { 0x41, 0x56, 0x52, 0x6e } }, "Avid Motion JPEG" },
    { { { 0x41, 0x56, 0x53, 0x56 } }, "Creature Shock AVS" },
    { { { 0x41, 0x56, 0x64, 0x31 } }, "AVID DV" },
    { { { 0x41, 0x56, 0x64, 0x68 } }, "DNxHR" },
    { { { 0x41, 0x56, 0x64, 0x6e } }, "DNxHD" },
    { { { 0x41, 0x56, 0x64, 0x76 } }, "AVID DV" },
    { { { 0x41, 0x56, 0x6d, 0x70 } }, "AVID IMX PAL" },
    { { { 0x42, 0x41, 0x55, 0x31 } }, "Bink Audio (DCT)" },
    { { { 0x42, 0x41, 0x55, 0x32 } }, "Bink Audio (RDFT)" },
    { { { 0x42, 0x46, 0x26, 0x49 } }, "Brute Force & Ignorance (BFI) video" },
    { { { 0x42, 0x47, 0x52, 0x41 } }, "32 bits BGRA" },
    { { { 0x42, 0x49, 0x4b, 0x66 } }, "Bink Video" },
    { { { 0x42, 0x4c, 0x5a, 0x30 } }, "Blizzard MPEG-4 Video" },
    { { { 0x42, 0x4d, 0x56, 0x56 } }, "Discworld II BMV video" },
    { { { 0x42, 0x50, 0x47, 0xfb } }, "BPG Image" },
    { { { 0x42, 0x56, 0x49, 0x44 } }, "Bethesda VID" },
    { { { 0x43, 0x41, 0x56, 0x53 } }, "Chinese AVS" },
    { { { 0x43, 0x44, 0x47, 0x20 } }, "CD-G Video" },
    { { { 0x43, 0x44, 0x56, 0x35 } }, "Canopus DV Video" },
    { { { 0x43, 0x44, 0x56, 0x43 } }, "Canopus DV Video" },
    { { { 0x43, 0x44, 0x56, 0x48 } }, "Canopus DV Video" },
    { { { 0x43, 0x44, 0x58, 0x4c } }, "Commodore CDXL video format" },
    { { { 0x43, 0x46, 0x48, 0x44 } }, "CineForm" },
    { { { 0x43, 0x48, 0x51, 0x58 } }, "Canopus HQX" },
    { { { 0x43, 0x4c, 0x4a, 0x52 } }, "Creative Logic AccuPak" },
    { { { 0x43, 0x4c, 0x4c, 0x43 } }, "Canopus Lossless" },
    { { { 0x43, 0x53, 0x43, 0x44 } }, "CamStudio Screen Codec" },
    { { { 0x43, 0x55, 0x56, 0x43 } }, "Canopus HQ" },
    { { { 0x43, 0x56, 0x49, 0x44 } }, "Cinepak Video" },
    { { { 0x44, 0x32, 0x36, 0x33 } }, "DEC H263" },
    { { { 0x44, 0x41, 0x47, 0x52 } }, "BGRA D3D11 opaque" },
    { { { 0x44, 0x41, 0x56, 0x43 } }, "Dicas MPEGable H.264/MPEG-4 AVC" },
    { { { 0x44, 0x43, 0x49, 0x56 } }, "Delphine CIN video" },
    { { { 0x44, 0x45, 0x58, 0x41 } }, "Feeble Files/ScummVM DXA" },
    { { { 0x44, 0x46, 0x49, 0x41 } }, "Chronomaster DFA" },
    { { { 0x44, 0x49, 0x56, 0x31 } }, "MS MPEG-4 Video v1" },
    { { { 0x44, 0x49, 0x56, 0x32 } }, "MS MPEG-4 Video v2" },
    { { { 0x44, 0x49, 0x56, 0x33 } }, "MS MPEG-4 Video v3" },
    { { { 0x44, 0x49, 0x56, 0x46 } }, "DivX 4.12" },
    { { { 0x44, 0x4d, 0x42, 0x31 } }, "Motion JPEG OpenDML Video" },
    { { { 0x44, 0x50, 0x30, 0x32 } }, "DynaPel MPEG-4 codec" },
    { { { 0x44, 0x55, 0x43, 0x4b } }, "Duck TrueMotion v1 Video" },
    { { { 0x44, 0x58, 0x31, 0x30 } }, "4:2:0 10bits D3D11 opaque" },
    { { { 0x44, 0x58, 0x31, 0x31 } }, "4:2:0 D3D11 opaque" },
    { { { 0x44, 0x58, 0x35, 0x30 } }, "DivX MPEG-4 Video" },
    { { { 0x44, 0x58, 0x41, 0x30 } }, "4:2:0 10bits D3D9 opaque" },
    { { { 0x44, 0x58, 0x41, 0x39 } }, "4:2:0 D3D9 opaque" },
    { { { 0x44, 0x58, 0x44, 0x33 } }, "Resolume DXV" },
    { { { 0x44, 0x58, 0x44, 0x33 } }, "Resolume DXV version 3" },
    { { { 0x44, 0x58, 0x47, 0x4d } }, "Electronic Arts Game MPEG-4 Video" },
    { { { 0x44, 0x58, 0x52, 0x47 } }, "RGBA D3D11 opaque" },
    { { { 0x44, 0x72, 0x65, 0x58 } }, "DreX Mpeg-4" },
    { { { 0x45, 0x31, 0x32, 0x34 } }, "Escape 124 video" },
    { { { 0x45, 0x43, 0x4d, 0x56 } }, "Electronic Arts CMV" },
    { { { 0x46, 0x46, 0x44, 0x53 } }, "FFDShow MPEG-4" },
    { { { 0x46, 0x46, 0x56, 0x31 } }, "FF video codec 1" },
    { { { 0x46, 0x46, 0x56, 0x48 } }, "Huff YUV Video" },
    { { { 0x46, 0x49, 0x43, 0x56 } }, "Mirillis FIC video" },
    { { { 0x46, 0x4c, 0x49, 0x43 } }, "Flic Video" },
    { { { 0x46, 0x4c, 0x56, 0x31 } }, "Flash Video" },
    { { { 0x46, 0x4d, 0x56, 0x43 } }, "FM Screen Capture Codec" },
    { { { 0x46, 0x50, 0x53, 0x31 } }, "FRAPS: Realtime Video Capture" },
    { { { 0x46, 0x52, 0x57, 0x55 } }, "Forward Uncompressed" },
    { { { 0x46, 0x53, 0x56, 0x31 } }, "Flash Screen Video" },
    { { { 0x46, 0x53, 0x56, 0x32 } }, "Flash Screen Video 2" },
    { { { 0x46, 0x56, 0x46, 0x57 } }, "libavcodec MPEG-4" },
    { { { 0x47, 0x30, 0x46, 0x42 } }, "10 bits greyscale BE" },
    { { { 0x47, 0x30, 0x46, 0x4c } }, "10 bits greyscale LE" },
    { { { 0x47, 0x32, 0x46, 0x42 } }, "12 bits greyscale BE" },
    { { { 0x47, 0x32, 0x46, 0x4c } }, "12 bits greyscale LE" },
    { { { 0x47, 0x32, 0x4d, 0x32 } }, "GoTo Meeting Codec 2" },
    { { { 0x47, 0x32, 0x4d, 0x33 } }, "GoTo Meeting Codec 3" },
    { { { 0x47, 0x32, 0x4d, 0x34 } }, "GoTo Meeting Codec 4" },
    { { { 0x47, 0x41, 0x56, 0x43 } }, "GeoVision MPEG-4 AVC" },
    { { { 0x47, 0x52, 0x45, 0x59 } }, "8 bits greyscale" },
    { { { 0x47, 0x52, 0x46, 0x42 } }, "16 bits greyscale BE" },
    { { { 0x47, 0x52, 0x46, 0x4c } }, "16 bits greyscale LE" },
    { { { 0x48, 0x41, 0x50, 0x31 } }, "Vidvox Hap" },
    { { { 0x48, 0x44, 0x58, 0x34 } }, "Jomigo HDX4 (MPEG-4 Video)" },
    { { { 0x48, 0x46, 0x59, 0x55 } }, "Huff YUV Video" },
    { { { 0x48, 0x4e, 0x4d, 0x34 } }, "Cryo Interactive Entertainment HNM4" },
    { { { 0x48, 0x61, 0x70, 0x35 } }, "Vidvox Hap Alpha" },
    { { { 0x48, 0x61, 0x70, 0x59 } }, "Vidvox Hap Q" },
    { { { 0x49, 0x30, 0x39, 0x42 } }, "Planar 4:2:0 YUV 9-bit BE" },
    { { { 0x49, 0x30, 0x39, 0x4c } }, "Planar 4:2:0 YUV 9-bit LE" },
    { { { 0x49, 0x30, 0x41, 0x42 } }, "Planar 4:2:0 YUV 10-bit BE" },
    { { { 0x49, 0x30, 0x41, 0x4c } }, "Planar 4:2:0 YUV 10-bit LE" },
    { { { 0x49, 0x30, 0x43, 0x42 } }, "Planar 4:2:0 YUV 12-bit BE" },
    { { { 0x49, 0x30, 0x43, 0x4c } }, "Planar 4:2:0 YUV 12-bit LE" },
    { { { 0x49, 0x30, 0x46, 0x42 } }, "Planar 4:2:0 YUV 16-bit BE" },
    { { { 0x49, 0x30, 0x46, 0x4c } }, "Planar 4:2:0 YUV 16-bit LE" },
    { { { 0x49, 0x32, 0x36, 0x33 } }, "I263.I" },
    { { { 0x49, 0x32, 0x39, 0x42 } }, "Planar 4:2:2 YUV 9-bit BE" },
    { { { 0x49, 0x32, 0x39, 0x4c } }, "Planar 4:2:2 YUV 9-bit LE" },
    { { { 0x49, 0x32, 0x41, 0x42 } }, "Planar 4:2:2 YUV 10-bit BE" },
    { { { 0x49, 0x32, 0x41, 0x4c } }, "Planar 4:2:2 YUV 10-bit LE" },
    { { { 0x49, 0x32, 0x43, 0x42 } }, "Planar 4:2:2 YUV 12-bit BE" },
    { { { 0x49, 0x32, 0x43, 0x4c } }, "Planar 4:2:2 YUV 12-bit LE" },
    { { { 0x49, 0x34, 0x30, 0x41 } }, "Planar YUV 4:2:0 Y:U:V:A" },
    { { { 0x49, 0x34, 0x31, 0x30 } }, "Planar 4:1:0 YUV" },
    { { { 0x49, 0x34, 0x31, 0x31 } }, "Planar 4:1:1 YUV" },
    { { { 0x49, 0x34, 0x32, 0x30 } }, "Planar 4:2:0 YUV" },
    { { { 0x49, 0x34, 0x32, 0x32 } }, "Planar 4:2:2 YUV" },
    { { { 0x49, 0x34, 0x32, 0x41 } }, "Planar YUV 4:2:2 Y:U:V:A" },
    { { { 0x49, 0x34, 0x34, 0x30 } }, "Planar 4:4:0 YUV" },
    { { { 0x49, 0x34, 0x34, 0x34 } }, "Planar 4:4:4 YUV" },
    { { { 0x49, 0x34, 0x39, 0x42 } }, "Planar 4:4:4 YUV 9-bit BE" },
    { { { 0x49, 0x34, 0x39, 0x4c } }, "Planar 4:4:4 YUV 9-bit LE" },
    { { { 0x49, 0x34, 0x41, 0x42 } }, "Planar 4:4:4 YUV 10-bit BE" },
    { { { 0x49, 0x34, 0x41, 0x4c } }, "Planar 4:4:4 YUV 10-bit LE" },
    { { { 0x49, 0x34, 0x43, 0x42 } }, "Planar 4:4:4 YUV 12-bit BE" },
    { { { 0x49, 0x34, 0x43, 0x4c } }, "Planar 4:4:4 YUV 12-bit LE" },
    { { { 0x49, 0x34, 0x46, 0x42 } }, "Planar 4:4:4 YUV 16-bit BE" },
    { { { 0x49, 0x34, 0x46, 0x4c } }, "Planar 4:4:4 YUV 16-bit LE" },
    { { { 0x49, 0x43, 0x39, 0x33 } }, "Interplay C93" },
    { { { 0x49, 0x44, 0x43, 0x49 } }, "Id Quake II CIN Video" },
    { { { 0x49, 0x4a, 0x50, 0x47 } }, "Intergraph JPEG Video" },
    { { { 0x49, 0x4c, 0x56, 0x52 } }, "ITU H263+" },
    { { { 0x49, 0x4c, 0x56, 0x52 } }, "ITU H263+" },
    { { { 0x49, 0x4d, 0x4d, 0x34 } }, "Infinity IMM4" },
    { { { 0x49, 0x4d, 0x4d, 0x35 } }, "Infinity IMM5" },
    { { { 0x49, 0x56, 0x32, 0x30 } }, "Indeo Video v2" },
    { { { 0x49, 0x56, 0x33, 0x31 } }, "Indeo Video v3" },
    { { { 0x49, 0x56, 0x34, 0x31 } }, "Indeo Video v4" },
    { { { 0x49, 0x56, 0x35, 0x30 } }, "Indeo Video v5" },
    { { { 0x4a, 0x34, 0x32, 0x30 } }, "Planar 4:2:0 YUV full scale" },
    { { { 0x4a, 0x34, 0x32, 0x32 } }, "Planar 4:2:2 YUV full scale" },
    { { { 0x4a, 0x34, 0x34, 0x30 } }, "Planar 4:4:0 YUV full scale" },
    { { { 0x4a, 0x34, 0x34, 0x34 } }, "Planar 4:4:4 YUV full scale" },
    { { { 0x4a, 0x50, 0x32, 0x4b } }, "JPEG 2000 Image" },
    { { { 0x4a, 0x56, 0x30, 0x30 } }, "Bitmap Brothers JV" },
    { { { 0x4b, 0x47, 0x56, 0x31 } }, "Kega Game Video (KGV1)" },
    { { { 0x4b, 0x4d, 0x56, 0x43 } }, "Karl Morton's Video Codec (Worms)" },
    { { { 0x4c, 0x32, 0x36, 0x33 } }, "LEAD H263" },
    { { { 0x4c, 0x41, 0x47, 0x53 } }, "Lagarith Lossless" },
    { { { 0x4c, 0x4a, 0x50, 0x47 } }, "Lead Motion JPEG Video" },
    { { { 0x4c, 0x4d, 0x50, 0x32 } }, "Lead MPEG-2" },
    { { { 0x4c, 0x4d, 0x50, 0x34 } }, "Lead MPEG-4 Video" },
    { { { 0x4c, 0x4f, 0x43, 0x4f } }, "LOCO Video" },
    { { { 0x4c, 0x6a, 0x70, 0x67 } }, "Lead Motion JPEG" },
    { { { 0x4d, 0x32, 0x36, 0x33 } }, "Microsoft H263" },
    { { { 0x4d, 0x38, 0x59, 0x30 } }, "MagicYUV lossless" },
    { { { 0x4d, 0x41, 0x44, 0x56 } }, "Electronic Arts MAD" },
    { { { 0x4d, 0x44, 0x45, 0x43 } }, "PSX MDEC Video" },
    { { { 0x4d, 0x4a, 0x4c, 0x53 } }, "JPEG-LS" },
    { { { 0x4d, 0x4a, 0x50, 0x47 } }, "Motion JPEG Video" },
    { { { 0x4d, 0x4c, 0x32, 0x4f } }, "Mimic" },
    { { { 0x4d, 0x4d, 0x41, 0x4c } }, "MMAL opaque" },
    { { { 0x4d, 0x4d, 0x45, 0x53 } }, "Matrox MPEG-2" },
    { { { 0x4d, 0x4d, 0x56, 0x49 } }, "American Laser Games MM Video" },
    { { { 0x4d, 0x50, 0x49, 0x58 } }, "Sirius Publishing Motion Pixels" },
    { { { 0x4d, 0x53, 0x41, 0x31 } }, "Microsoft Application Screen Decoder 1" },
    { { { 0x4d, 0x53, 0x53, 0x31 } }, "Windows Media Video 7 Screen" },
    { { { 0x4d, 0x53, 0x53, 0x32 } }, "Windows Media Video 9 Screen" },
    { { { 0x4d, 0x53, 0x56, 0x43 } }, "Microsoft Video 1" },
    { { { 0x4d, 0x53, 0x5a, 0x48 } }, "Loss-Less Codec Library AVImszh" },
    { { { 0x4d, 0x54, 0x53, 0x32 } }, "Microsoft Expression Encoder Screen" },
    { { { 0x4d, 0x58, 0x50, 0x47 } }, "Mxpeg" },
    { { { 0x4e, 0x4a, 0x50, 0x47 } }, "Nuppel Video" },
    { { { 0x4e, 0x56, 0x31, 0x32 } }, "Biplanar 4:2:0 Y/UV" },
    { { { 0x4e, 0x56, 0x31, 0x36 } }, "Biplanar 4:2:2 Y/UV" },
    { { { 0x4e, 0x56, 0x32, 0x31 } }, "Biplanar 4:2:0 Y/VU" },
    { { { 0x4e, 0x56, 0x32, 0x34 } }, "Biplanar 4:4:4 Y/UV" },
    { { { 0x4e, 0x56, 0x34, 0x32 } }, "Biplanar 4:4:4 Y/VU" },
    { { { 0x4e, 0x56, 0x34, 0x36 } }, "4:4:4 16bits NVDEC opaque" },
    { { { 0x4e, 0x56, 0x34, 0x38 } }, "4:4:4 NVDEC opaque" },
    { { { 0x4e, 0x56, 0x36, 0x31 } }, "Biplanar 4:2:2 Y/VU" },
    { { { 0x4e, 0x56, 0x44, 0x30 } }, "4:2:0 10bits NVDEC opaque" },
    { { { 0x4e, 0x56, 0x44, 0x36 } }, "4:2:0 16bits NVDEC opaque" },
    { { { 0x4e, 0x56, 0x44, 0x38 } }, "4:2:0 NVDEC opaque" },
    { { { 0x50, 0x49, 0x4d, 0x31 } }, "Pinnacle DC1000 (MPEG-1 Video)" },
    { { { 0x50, 0x49, 0x4d, 0x32 } }, "Pinnacle MPEG-2" },
    { { { 0x50, 0x49, 0x58, 0x4c } }, "Pinnacle VideoXL Video" },
    { { { 0x50, 0x4c, 0x56, 0x31 } }, "Pelco DVR MPEG-4" },
    { { { 0x51, 0x32, 0x36, 0x34 } }, "QNAP H.264/MPEG-4 AVC" },
    { { { 0x51, 0x49, 0x56, 0x47 } }, "QNAP Motion JPEG" },
    { { { 0x51, 0x4d, 0x50, 0x34 } }, "QNAP Systems MPEG-4" },
    { { { 0x51, 0x50, 0x45, 0x47 } }, "QPEG Video" },
    { { { 0x52, 0x47, 0x41, 0x30 } }, "32 bits RGB 10bits A 2bits" },
    { { { 0x52, 0x47, 0x41, 0x34 } }, "64 bits RGBA" },
    { { { 0x52, 0x47, 0x42, 0x38 } }, "8 bits RGB" },
    { { { 0x52, 0x47, 0x42, 0x41 } }, "32 bits RGBA" },
    { { { 0x52, 0x47, 0x42, 0x50 } }, "Palettized RGB with palette element R:G:B" },
    { { { 0x52, 0x4c, 0x56, 0x32 } }, "RL2 video" },
    { { { 0x52, 0x4d, 0x50, 0x34 } }, "REALmagic MPEG-4 Video" },
    { { { 0x52, 0x54, 0x32, 0x31 } }, "Indeo Video 2.1" },
    { { { 0x52, 0x56, 0x31, 0x30 } }, "RealVideo 1.0" },
    { { { 0x52, 0x56, 0x31, 0x32 } }, "12 bits RGB" },
    { { { 0x52, 0x56, 0x31, 0x33 } }, "RealVideo 1.3" },
    { { { 0x52, 0x56, 0x31, 0x35 } }, "15 bits RGB" },
    { { { 0x52, 0x56, 0x31, 0x36 } }, "16 bits RGB" },
    { { { 0x52, 0x56, 0x32, 0x30 } }, "RealVideo G2 (2.0)" },
    { { { 0x52, 0x56, 0x32, 0x34 } }, "24 bits RGB" },
    { { { 0x52, 0x56, 0x33, 0x30 } }, "RealVideo 8 (3.0)" },
    { { { 0x52, 0x56, 0x33, 0x32 } }, "32 bits RGB" },
    { { { 0x52, 0x56, 0x34, 0x30 } }, "RealVideo 9/10 (4.0)" },
    { { { 0x52, 0x6f, 0x51, 0x76 } }, "Id RoQ Video" },
    { { { 0x53, 0x45, 0x44, 0x47 } }, "Samsung MPEG-4 Video" },
    { { { 0x53, 0x48, 0x51, 0x32 } }, "NewTek SpeedHQ" },
    { { { 0x53, 0x4c, 0x44, 0x56 } }, "SoftLab DVCAM codec" },
    { { { 0x53, 0x4c, 0x4d, 0x4a } }, "SL M-JPEG" },
    { { { 0x53, 0x4d, 0x4b, 0x32 } }, "Smacker Video" },
    { { { 0x53, 0x4d, 0x50, 0x34 } }, "Samsung SMP4 (MPEG-4 Video)" },
    { { { 0x53, 0x50, 0x35, 0x58 } }, "Sunplus Motion JPEG Video" },
    { { { 0x53, 0x56, 0x51, 0x31 } }, "SVQ-1 (Sorenson Video v1)" },
    { { { 0x53, 0x56, 0x51, 0x33 } }, "SVQ-3 (Sorenson Video v3)" },
    { { { 0x54, 0x32, 0x36, 0x33 } }, "March H263" },
    { { { 0x54, 0x44, 0x53, 0x43 } }, "TDSC" },
    { { { 0x54, 0x47, 0x51, 0x56 } }, "Electronic Arts TGQ" },
    { { { 0x54, 0x47, 0x56, 0x56 } }, "Electronic Arts TGV" },
    { { { 0x54, 0x48, 0x50, 0x30 } }, "GameCube THP video" },
    { { { 0x54, 0x4d, 0x32, 0x30 } }, "Duck TrueMotion v2.0 Video" },
    { { { 0x54, 0x4d, 0x41, 0x56 } }, "8088flex TMV" },
    { { { 0x54, 0x51, 0x49, 0x56 } }, "Electronic Arts TQI" },
    { { { 0x54, 0x53, 0x43, 0x32 } }, "TechSmith Screen Codec 2" },
    { { { 0x54, 0x53, 0x43, 0x43 } }, "TechSmith Camtasia Screen Capture" },
    { { { 0x54, 0x53, 0x45, 0x51 } }, "Tiertex Limited SEQ video" },
    { { { 0x54, 0x58, 0x44, 0x20 } }, "RenderWare TXD" },
    { { { 0x55, 0x32, 0x36, 0x33 } }, "UB H263+" },
    { { { 0x55, 0x4c, 0x52, 0x41 } }, "Ut Video" },
    { { { 0x55, 0x4c, 0x54, 0x49 } }, "IBM Ultimotion Video" },
    { { { 0x55, 0x4d, 0x50, 0x34 } }, "UB MPEG-4 Video" },
    { { { 0x55, 0x59, 0x56, 0x59 } }, "Packed YUV 4:2:2, U:Y:V:Y" },
    { { { 0x56, 0x41, 0x4f, 0x30 } }, "4:2:0 10bits VAAPI opaque" },
    { { { 0x56, 0x41, 0x4f, 0x50 } }, "4:2:0 VAAPI opaque" },
    { { { 0x56, 0x42, 0x4c, 0x45 } }, "VBLE Lossless" },
    { { { 0x56, 0x42, 0x56, 0x31 } }, "Beam Software VB" },
    { { { 0x56, 0x43, 0x2d, 0x31 } }, "Windows Media Video VC1" },
    { { { 0x56, 0x43, 0x52, 0x31 } }, "ATI VCR1 Video" },
    { { { 0x56, 0x43, 0x52, 0x32 } }, "ATI VCR-2" },
    { { { 0x56, 0x44, 0x4f, 0x52 } }, "VDPAU opaque" },
    { { { 0x56, 0x44, 0x56, 0x30 } }, "4:2:0 VDPAU opaque" },
    { { { 0x56, 0x44, 0x56, 0x32 } }, "4:2:2 VDPAU opaque" },
    { { { 0x56, 0x44, 0x56, 0x34 } }, "4:4:4 VDPAU opaque" },
    { { { 0x56, 0x49, 0x44, 0x4d } }, "vidm 4.01 codec" },
    { { { 0x56, 0x49, 0x56, 0x4f } }, "H263+" },
    { { { 0x56, 0x49, 0x58, 0x4c } }, "Miro/Pinnacle VideoXL Video" },
    { { { 0x56, 0x4d, 0x44, 0x56 } }, "Sierra VMD Video" },
    { { { 0x56, 0x4d, 0x6e, 0x63 } }, "VMware Video" },
    { { { 0x56, 0x50, 0x33, 0x20 } }, "On2's VP3 Video" },
    { { { 0x56, 0x50, 0x34, 0x30 } }, "On2's VP4 Video" },
    { { { 0x56, 0x50, 0x35, 0x20 } }, "On2's VP5 Video" },
    { { { 0x56, 0x50, 0x36, 0x30 } }, "On2's VP6.0 Video" },
    { { { 0x56, 0x50, 0x36, 0x31 } }, "On2's VP6.1 Video" },
    { { { 0x56, 0x50, 0x36, 0x32 } }, "On2's VP6.2 Video" },
    { { { 0x56, 0x50, 0x36, 0x41 } }, "On2's VP6 A Video" },
    { { { 0x56, 0x50, 0x36, 0x46 } }, "On2's VP6.2 Video (Flash)" },
    { { { 0x56, 0x50, 0x37, 0x30 } }, "Google/On2's VP7 Video" },
    { { { 0x56, 0x50, 0x38, 0x30 } }, "Google/On2's VP8 Video" },
    { { { 0x56, 0x50, 0x39, 0x30 } }, "Google/On2's VP9 Video" },
    { { { 0x56, 0x53, 0x53, 0x48 } }, "Vanguard VSS H264" },
    { { { 0x56, 0x53, 0x53, 0x57 } }, "Vanguard VSS H264" },
    { { { 0x56, 0x55, 0x59, 0x41 } }, "Packed YUV 4:4:4, V:U:Y:A" },
    { { { 0x56, 0x59, 0x55, 0x59 } }, "Packed YUV 4:2:2, V:Y:U:Y" },
    { { { 0x57, 0x45, 0x42, 0x50 } }, "WebP Image" },
    { { { 0x57, 0x4d, 0x56, 0x31 } }, "Windows Media Video 7" },
    { { { 0x57, 0x4d, 0x56, 0x32 } }, "Windows Media Video 8" },
    { { { 0x57, 0x4d, 0x56, 0x33 } }, "Windows Media Video 9" },
    { { { 0x57, 0x4d, 0x56, 0x41 } }, "Windows Media Video Advanced Profile" },
    { { { 0x57, 0x4d, 0x56, 0x50 } }, "Windows Media Video Presentation" },
    { { { 0x57, 0x4e, 0x56, 0x31 } }, "Winnov WNV1 Video" },
    { { { 0x57, 0x56, 0x50, 0x32 } }, "Windows Media Video Presentation, v2" },
    { { { 0x57, 0x56, 0x51, 0x41 } }, "Westwood Studios VQA" },
    { { { 0x58, 0x32, 0x36, 0x33 } }, "Xirlink H263" },
    { { { 0x58, 0x41, 0x4e, 0x33 } }, "Wing Commander III video" },
    { { { 0x58, 0x4d, 0x50, 0x47 } }, "Xing MPEG-1 Intra" },
    { { { 0x58, 0x56, 0x49, 0x44 } }, "Xvid MPEG-4 Video" },
    { { { 0x58, 0x56, 0x49, 0x58 } }, "Xvid MPEG-4 Video" },
    { { { 0x58, 0x57, 0x44, 0x20 } }, "X Window system raster image" },
    { { { 0x58, 0x59, 0x31, 0x32 } }, "Packed XYZ 12-bit BE" },
    { { { 0x58, 0x76, 0x69, 0x44 } }, "Xvid MPEG-4 Video" },
    { { { 0x58, 0x78, 0x61, 0x6e } }, "Wing Commander IV Xan video" },
    { { { 0x59, 0x32, 0x31, 0x30 } }, "Packed 10-bit YUV 4:2:2" },
    { { { 0x59, 0x32, 0x31, 0x31 } }, "Packed YUV 2:1:1, Y:U:Y:V " },
    { { { 0x59, 0x34, 0x31, 0x30 } }, "Packed 10-bit YUV 4:4:4" },
    { { { 0x59, 0x41, 0x30, 0x4c } }, "Planar YUV 4:4:4 Y:U:V:A 10bits" },
    { { { 0x59, 0x4f, 0x50, 0x56 } }, "Psygnosis YOP" },
    { { { 0x59, 0x55, 0x56, 0x41 } }, "Planar YUV 4:4:4 Y:U:V:A" },
    { { { 0x59, 0x55, 0x56, 0x50 } }, "Palettized YUV with palette element Y:U:V:A" },
    { { { 0x59, 0x55, 0x59, 0x32 } }, "Packed YUV 4:2:2, Y:U:Y:V" },
    { { { 0x59, 0x56, 0x31, 0x32 } }, "Planar 4:2:0 YVU" },
    { { { 0x59, 0x56, 0x55, 0x39 } }, "Planar 4:1:0 YVU" },
    { { { 0x59, 0x56, 0x59, 0x55 } }, "Packed YUV 4:2:2, Y:V:Y:U" },
    { { { 0x5a, 0x4c, 0x49, 0x42 } }, "Loss-Less Codec Library AVIzlib" },
    { { { 0x5a, 0x4d, 0x42, 0x56 } }, "DosBox Capture Codec" },
    { { { 0x5a, 0x79, 0x47, 0x6f } }, "ITU H263+" },
    { { { 0x61, 0x69, 0x31, 0x32 } }, "AVC-Intra 100M 1080p25/50" },
    { { { 0x61, 0x69, 0x31, 0x33 } }, "AVC-Intra 100M 1080p24/30/60" },
    { { { 0x61, 0x69, 0x31, 0x35 } }, "AVC-Intra 100M 1080i50" },
    { { { 0x61, 0x69, 0x31, 0x36 } }, "AVC-Intra 100M 1080i60" },
    { { { 0x61, 0x69, 0x31, 0x70 } }, "AVC-Intra 100M 720p24/30/60" },
    { { { 0x61, 0x69, 0x31, 0x71 } }, "AVC-Intra 100M 720p25/50" },
    { { { 0x61, 0x69, 0x35, 0x32 } }, "AVC-Intra  50M 1080p25/50" },
    { { { 0x61, 0x69, 0x35, 0x33 } }, "AVC-Intra  50M 1080p24/30/60" },
    { { { 0x61, 0x69, 0x35, 0x35 } }, "AVC-Intra  50M 1080i50" },
    { { { 0x61, 0x69, 0x35, 0x36 } }, "AVC-Intra  50M 1080i60" },
    { { { 0x61, 0x69, 0x35, 0x70 } }, "AVC-Intra  50M 720p24/30/60" },
    { { { 0x61, 0x69, 0x35, 0x71 } }, "AVC-Intra  50M 720p25/50" },
    { { { 0x61, 0x70, 0x34, 0x63 } }, "Apple ProRes 4444" },
    { { { 0x61, 0x70, 0x34, 0x68 } }, "Apple ProRes 4444" },
    { { { 0x61, 0x70, 0x34, 0x78 } }, "Apple ProRes 4444 XQ" },
    { { { 0x61, 0x70, 0x63, 0x68 } }, "Apple ProRes 422 HQ" },
    { { { 0x61, 0x70, 0x63, 0x6e } }, "Apple ProRes" },
    { { { 0x61, 0x70, 0x63, 0x6e } }, "Apple ProRes 422 Standard" },
    { { { 0x61, 0x70, 0x63, 0x6f } }, "Apple ProRes 422 Proxy" },
    { { { 0x61, 0x70, 0x63, 0x73 } }, "Apple ProRes 422 LT" },
    { { { 0x61, 0x76, 0x30, 0x31 } }, "AOMedia's AV1 Video" },
    { { { 0x62, 0x6d, 0x70, 0x20 } }, "BMP Image" },
    { { { 0x63, 0x64, 0x76, 0x63 } }, "Canopus DV Video" },
    { { { 0x63, 0x64, 0x76, 0x68 } }, "Canopus DV Video" },
    { { { 0x63, 0x79, 0x75, 0x76 } }, "Creative Packed YUV 4:2:2, U:Y:V:Y, reverted" },
    { { { 0x64, 0x32, 0x36, 0x33 } }, "DEC H263" },
    { { { 0x64, 0x61, 0x76, 0x63 } }, "Dicas MPEGable H.264/MPEG-4 AVC" },
    { { { 0x64, 0x69, 0x76, 0x66 } }, "DivX 4.12" },
    { { { 0x64, 0x6d, 0x62, 0x31 } }, "Motion JPEG OpenDML Video" },
    { { { 0x64, 0x72, 0x61, 0x63 } }, "Dirac" },
    { { { 0x64, 0x76, 0x20, 0x20 } }, "DV Video" },
    { { { 0x64, 0x76, 0x31, 0x6e } }, "DV Video C Pro 100 NTSC" },
    { { { 0x64, 0x76, 0x31, 0x70 } }, "DV Video C Pro 100 PAL" },
    { { { 0x64, 0x76, 0x35, 0x30 } }, "DV Video C Pro 50" },
    { { { 0x64, 0x76, 0x35, 0x6e } }, "DV Video C Pro 50 NTSC" },
    { { { 0x64, 0x76, 0x35, 0x70 } }, "DV Video C Pro 50 PAL" },
    { { { 0x64, 0x76, 0x61, 0x31 } }, "Dolby Vision H264" },
    { { { 0x64, 0x76, 0x61, 0x76 } }, "Dolby Vision H264" },
    { { { 0x64, 0x76, 0x63, 0x20 } }, "DV Video NTSC" },
    { { { 0x64, 0x76, 0x63, 0x70 } }, "DV Video PAL" },
    { { { 0x64, 0x76, 0x68, 0x32 } }, "DV Video 720p24" },
    { { { 0x64, 0x76, 0x68, 0x33 } }, "DV Video 720p25" },
    { { { 0x64, 0x76, 0x68, 0x34 } }, "DV Video 720p30" },
    { { { 0x64, 0x76, 0x68, 0x35 } }, "DV Video C Pro HD 1080i50" },
    { { { 0x64, 0x76, 0x68, 0x36 } }, "DV Video C Pro HD 1080i60" },
    { { { 0x64, 0x76, 0x68, 0x65 } }, "Dolby Vision HEVC (H.265)" },
    { { { 0x64, 0x76, 0x68, 0x70 } }, "DV Video C Pro HD 720p" },
    { { { 0x64, 0x76, 0x70, 0x20 } }, "DV Video Pro" },
    { { { 0x64, 0x76, 0x70, 0x70 } }, "DV Video Pro PAL" },
    { { { 0x64, 0x78, 0x35, 0x30 } }, "DivX MPEG-4 Video" },
    { { { 0x66, 0x76, 0x66, 0x77 } }, "libavcodec MPEG-4" },
    { { { 0x67, 0x69, 0x66, 0x20 } }, "GIF Image" },
    { { { 0x68, 0x32, 0x36, 0x31 } }, "H.261" },
    { { { 0x68, 0x32, 0x36, 0x33 } }, "H263" },
    { { { 0x68, 0x32, 0x36, 0x34 } }, "H264 - MPEG-4 AVC (part 10)" },
    { { { 0x68, 0x64, 0x76, 0x31 } }, "HDV 720p30 (MPEG-2 Video)" },
    { { { 0x68, 0x64, 0x76, 0x32 } }, "Sony HDV 1080i60 (MPEG-2 Video)" },
    { { { 0x68, 0x64, 0x76, 0x33 } }, "FCP HDV 1080i50 (MPEG-2 Video)" },
    { { { 0x68, 0x64, 0x76, 0x34 } }, "HDV 720p24 (MPEG-2 Video)" },
    { { { 0x68, 0x64, 0x76, 0x35 } }, "HDV 720p25 (MPEG-2 Video)" },
    { { { 0x68, 0x64, 0x76, 0x36 } }, "HDV 1080p24 (MPEG-2 Video)" },
    { { { 0x68, 0x64, 0x76, 0x37 } }, "HDV 1080p25 (MPEG-2 Video)" },
    { { { 0x68, 0x64, 0x76, 0x38 } }, "HDV 1080p30 (MPEG-2 Video)" },
    { { { 0x68, 0x64, 0x76, 0x39 } }, "HDV 720p60 JVC (MPEG-2 Video)" },
    { { { 0x68, 0x64, 0x76, 0x61 } }, "HDV 720p50 (MPEG-2 Video)" },
    { { { 0x68, 0x64, 0x78, 0x34 } }, "Jomigo HDX4 (MPEG-4 Video)" },
    { { { 0x68, 0x65, 0x76, 0x63 } }, "MPEG-H Part2/HEVC (H.265)" },
    { { { 0x69, 0x63, 0x6f, 0x64 } }, "Apple Intermediate Codec" },
    { { { 0x69, 0x6a, 0x70, 0x67 } }, "Intergraph JPEG Video" },
    { { { 0x69, 0x6d, 0x76, 0x65 } }, "Interplay MVE Video" },
    { { { 0x6a, 0x70, 0x65, 0x67 } }, "JPEG" },
    { { { 0x6d, 0x6a, 0x70, 0x62 } }, "Motion JPEG B Video" },
    { { { 0x6d, 0x6d, 0x65, 0x73 } }, "Matrox MPEG-2" },
    { { { 0x6d, 0x70, 0x31, 0x76 } }, "MPEG-1 Video" },
    { { { 0x6d, 0x70, 0x32, 0x76 } }, "MPEG-2 Video" },
    { { { 0x6d, 0x70, 0x34, 0x76 } }, "MPEG-4 Video" },
    { { { 0x6d, 0x70, 0x67, 0x76 } }, "MPEG-1/2 Video" },
    { { { 0x6d, 0x72, 0x6c, 0x65 } }, "Microsoft RLE Video" },
    { { { 0x6d, 0x78, 0x33, 0x6e } }, "MPEG2 IMX NTSC 525/60 30Mb/s (FCP)" },
    { { { 0x6d, 0x78, 0x33, 0x70 } }, "MPEG2 IMX NTSC 625/50 30Mb/s (FCP)" },
    { { { 0x6d, 0x78, 0x34, 0x6e } }, "MPEG2 IMX NTSC 525/60 40Mb/s (FCP)" },
    { { { 0x6d, 0x78, 0x34, 0x70 } }, "MPEG2 IMX PAL 625/50 40Mb/s (FCP)" },
    { { { 0x6d, 0x78, 0x35, 0x6e } }, "MPEG2 IMX NTSC 525/60 50Mb/s (FCP)" },
    { { { 0x6d, 0x78, 0x35, 0x70 } }, "MPEG2 IMX PAL 625/60 50Mb/s (FCP)" },
    { { { 0x70, 0x61, 0x6d, 0x20 } }, "PAM Image" },
    { { { 0x70, 0x63, 0x78, 0x20 } }, "Personal Computer Exchange Image" },
    { { { 0x70, 0x67, 0x6d, 0x20 } }, "PGM Image" },
    { { { 0x70, 0x67, 0x6d, 0x79 } }, "PGM YUV Image" },
    { { { 0x70, 0x6e, 0x67, 0x20 } }, "PNG Image" },
    { { { 0x70, 0x6e, 0x6d, 0x20 } }, "Portable Anymap Image" },
    { { { 0x70, 0x70, 0x6d, 0x20 } }, "PPM Image" },
    { { { 0x70, 0x78, 0x6c, 0x74 } }, "Apple Pixlet" },
    { { { 0x71, 0x32, 0x36, 0x34 } }, "QNAP H.264/MPEG-4 AVC" },
    { { { 0x71, 0x49, 0x56, 0x47 } }, "QNAP Motion JPEG" },
    { { { 0x71, 0x4d, 0x50, 0x34 } }, "QNAP Systems MPEG-4" },
    { { { 0x71, 0x64, 0x72, 0x77 } }, "Apple QuickDraw Video" },
    { { { 0x72, 0x6c, 0x65, 0x20 } }, "Apple QuickTime RLE Video" },
    { { { 0x72, 0x70, 0x7a, 0x61 } }, "Apple Video" },
    { { { 0x73, 0x67, 0x69, 0x20 } }, "SGI Image" },
    { { { 0x73, 0x6d, 0x63, 0x20 } }, "Apple graphics" },
    { { { 0x73, 0x6d, 0x70, 0x34 } }, "Samsung SMP4 (MPEG-4 Video)" },
    { { { 0x73, 0x76, 0x67, 0x20 } }, "SVG Scalable Vector Graphics Image" },
    { { { 0x74, 0x61, 0x72, 0x6b } }, "Xiph.org's Tarkin Video" },
    { { { 0x74, 0x67, 0x61, 0x20 } }, "Truevision Targa Image" },
    { { { 0x74, 0x68, 0x65, 0x6f } }, "Xiph.org's Theora Video" },
    { { { 0x74, 0x69, 0x66, 0x66 } }, "TIFF Image" },
    { { { 0x76, 0x32, 0x31, 0x30 } }, "10-bit 4:2:2 Component YCbCr" },
    { { { 0x76, 0x69, 0x76, 0x31 } }, "H263+" },
    { { { 0x76, 0x69, 0x76, 0x32 } }, "H263+" },
    { { { 0x76, 0x69, 0x76, 0x4f } }, "H263+" },
    { { { 0x76, 0x73, 0x73, 0x68 } }, "Vanguard VSS H264" },
    { { { 0x77, 0x32, 0x36, 0x34 } }, "QNAP H.264/MPEG-4 AVC" },
    { { { 0x77, 0x49, 0x56, 0x47 } }, "QNAP Motion JPEG" },
    { { { 0x77, 0x4d, 0x50, 0x34 } }, "QNAP Systems MPEG-4" },
    { { { 0x78, 0x33, 0x65, 0x56 } }, "DreX H.264" },
    { { { 0x78, 0x64, 0x35, 0x31 } }, "XDCAM HD422 720p30 50Mb/s CBR" },
    { { { 0x78, 0x64, 0x35, 0x34 } }, "XDCAM HD422 720p24 50Mb/s CBR" },
    { { { 0x78, 0x64, 0x35, 0x35 } }, "XDCAM HD422 720p25 50Mb/s CBR" },
    { { { 0x78, 0x64, 0x35, 0x39 } }, "XDCAM HD422 720p60 50Mb/s CBR" },
    { { { 0x78, 0x64, 0x35, 0x61 } }, "XDCAM HD422 720p50 50Mb/s CBR" },
    { { { 0x78, 0x64, 0x35, 0x62 } }, "XDCAM HD422 1080i60 50Mb/s CBR" },
    { { { 0x78, 0x64, 0x35, 0x63 } }, "XDCAM HD422 1080i50 50Mb/s CBR" },
    { { { 0x78, 0x64, 0x35, 0x64 } }, "XDCAM HD422 1080p24 50Mb/s CBR" },
    { { { 0x78, 0x64, 0x35, 0x65 } }, "XDCAM HD422 1080p25 50Mb/s CBR" },
    { { { 0x78, 0x64, 0x35, 0x66 } }, "XDCAM HD422 1080p30 50Mb/s CBR" },
    { { { 0x78, 0x64, 0x68, 0x32 } }, "XDCAM HD422 540p" },
    { { { 0x78, 0x64, 0x68, 0x64 } }, "XDCAM HD 540p" },
    { { { 0x78, 0x64, 0x76, 0x31 } }, "XDCAM HD 720p30 35Mb/s" },
    { { { 0x78, 0x64, 0x76, 0x32 } }, "XDCAM HD 1080i60 35Mb/s" },
    { { { 0x78, 0x64, 0x76, 0x33 } }, "XDCAM HD 1080i50 35Mb/s" },
    { { { 0x78, 0x64, 0x76, 0x34 } }, "XDCAM HD 720p24 35Mb/s" },
    { { { 0x78, 0x64, 0x76, 0x35 } }, "XDCAM HD 720p25 35Mb/s" },
    { { { 0x78, 0x64, 0x76, 0x36 } }, "XDCAM HD 1080p24 35Mb/s" },
    { { { 0x78, 0x64, 0x76, 0x37 } }, "XDCAM HD 1080p25 35Mb/s" },
    { { { 0x78, 0x64, 0x76, 0x38 } }, "XDCAM HD 1080p30 35Mb/s" },
    { { { 0x78, 0x64, 0x76, 0x39 } }, "XDCAM HD 720p60 35Mb/s" },
    { { { 0x78, 0x64, 0x76, 0x61 } }, "XDCAM HD 720p50 35Mb/s" },
    { { { 0x78, 0x64, 0x76, 0x62 } }, "XDCAM EX 1080i60 50Mb/s CBR" },
    { { { 0x78, 0x64, 0x76, 0x63 } }, "XDCAM EX 1080i50 50Mb/s CBR" },
    { { { 0x78, 0x64, 0x76, 0x64 } }, "XDCAM EX 1080p24 50Mb/s CBR" },
    { { { 0x78, 0x64, 0x76, 0x65 } }, "XDCAM EX 1080p25 50Mb/s CBR" },
    { { { 0x78, 0x64, 0x76, 0x66 } }, "XDCAM EX 1080p30 50Mb/s CBR" },
    { { { 0x78, 0x74, 0x6f, 0x72 } }, "Dxtory capture format" },
    { { { 0x78, 0x76, 0x69, 0x64 } }, "Xvid MPEG-4 Video" },
    { { { 0x78, 0x76, 0x69, 0x78 } }, "Xvid MPEG-4 Video" },
    { { { 0x79, 0x75, 0x76, 0x32 } }, "Packed YUV 4:2:2, Y:U:Y:V signed" },
};
static const struct fourcc_mapping mapping_audio[] = {
    { { { 0x2e, 0x6d, 0x70, 0x31 } }, { { 0x6d, 0x70, 0x67, 0x61 } } },
    { { { 0x2e, 0x6d, 0x70, 0x32 } }, { { 0x6d, 0x70, 0x67, 0x61 } } },
    { { { 0x2e, 0x6d, 0x70, 0x33 } }, { { 0x6d, 0x70, 0x33, 0x20 } } },
    { { { 0x32, 0x33, 0x6e, 0x69 } }, { { 0x73, 0x33, 0x32, 0x6c } } },
    { { { 0x34, 0x32, 0x6e, 0x69 } }, { { 0x73, 0x32, 0x34, 0x6c } } },
    { { { 0x41, 0x41, 0x43, 0x48 } }, { { 0x6d, 0x70, 0x34, 0x61 } } },
    { { { 0x41, 0x41, 0x43, 0x4c } }, { { 0x6d, 0x70, 0x34, 0x61 } } },
    { { { 0x41, 0x41, 0x43, 0x50 } }, { { 0x6d, 0x70, 0x34, 0x61 } } },
    { { { 0x44, 0x54, 0x53, 0x20 } }, { { 0x64, 0x74, 0x73, 0x20 } } },
    { { { 0x4c, 0x41, 0x4d, 0x45 } }, { { 0x6d, 0x70, 0x67, 0x61 } } },
    { { { 0x4c, 0x53, 0x44, 0x3a } }, { { 0x52, 0x41, 0x4c, 0x46 } } },
    { { { 0x4d, 0x50, 0x33, 0x20 } }, { { 0x6d, 0x70, 0x33, 0x20 } } },
    { { { 0x4d, 0x50, 0x43, 0x38 } }, { { 0x4d, 0x50, 0x43, 0x4b } } },
    { { { 0x51, 0x63, 0x6c, 0x71 } }, { { 0x51, 0x63, 0x6c, 0x70 } } },
    { { { 0x52, 0x41, 0x44, 0x56 } }, { { 0x64, 0x76, 0x61, 0x75 } } },
    { { { 0x61, 0x35, 0x32, 0x62 } }, { { 0x61, 0x35, 0x32, 0x20 } } },
    { { { 0x61, 0x61, 0x63, 0x20 } }, { { 0x6d, 0x70, 0x34, 0x61 } } },
    { { { 0x61, 0x63, 0x2d, 0x33 } }, { { 0x61, 0x35, 0x32, 0x20 } } },
    { { { 0x64, 0x74, 0x73, 0x62 } }, { { 0x64, 0x74, 0x73, 0x20 } } },
    { { { 0x64, 0x74, 0x73, 0x63 } }, { { 0x64, 0x74, 0x73, 0x20 } } },
    { { { 0x64, 0x74, 0x73, 0x65 } }, { { 0x64, 0x74, 0x73, 0x20 } } },
    { { { 0x64, 0x74, 0x73, 0x68 } }, { { 0x64, 0x74, 0x73, 0x20 } } },
    { { { 0x64, 0x74, 0x73, 0x6c } }, { { 0x64, 0x74, 0x73, 0x20 } } },
    { { { 0x64, 0x76, 0x63, 0x61 } }, { { 0x64, 0x76, 0x61, 0x75 } } },
    { { { 0x66, 0x6c, 0x33, 0x32 } }, { { 0x66, 0x33, 0x32, 0x6c } } },
    { { { 0x69, 0x6e, 0x32, 0x34 } }, { { 0x73, 0x32, 0x34, 0x62 } } },
    { { { 0x69, 0x6e, 0x33, 0x32 } }, { { 0x73, 0x33, 0x32, 0x62 } } },
    { { { 0x6c, 0x70, 0x63, 0x4a } }, { { 0x31, 0x34, 0x5f, 0x34 } } },
    { { { 0x6d, 0x70, 0x32, 0x61 } }, { { 0x6d, 0x70, 0x67, 0x61 } } },
    { { { 0x6d, 0x73, 0x00, 0x50 } }, { { 0x6d, 0x70, 0x67, 0x61 } } },
    { { { 0x6d, 0x73, 0x00, 0x55 } }, { { 0x6d, 0x70, 0x67, 0x61 } } },
    { { { 0x6d, 0x73, 0x20, 0x00 } }, { { 0x61, 0x35, 0x32, 0x20 } } },
    { { { 0x6d, 0x73, 0x20, 0x01 } }, { { 0x64, 0x74, 0x73, 0x20 } } },
    { { { 0x6e, 0x6d, 0x6f, 0x73 } }, { { 0x4e, 0x45, 0x4c, 0x4c } } },
    { { { 0x6f, 0x70, 0x75, 0x73 } }, { { 0x4f, 0x70, 0x75, 0x73 } } },
    { { { 0x70, 0x02, 0x00, 0x00 } }, { { 0x61, 0x74, 0x72, 0x63 } } },
    { { { 0x73, 0x61, 0x63, 0x33 } }, { { 0x61, 0x35, 0x32, 0x20 } } },
    { { { 0x73, 0x64, 0x64, 0x62 } }, { { 0x73, 0x64, 0x64, 0x73 } } },
    { { { 0x73, 0x68, 0x72, 0x6e } }, { { 0x73, 0x68, 0x6e, 0x20 } } },
    { { { 0x73, 0x70, 0x78, 0x72 } }, { { 0x73, 0x70, 0x78, 0x20 } } },
    { { { 0x73, 0x71, 0x63, 0x70 } }, { { 0x51, 0x63, 0x6c, 0x70 } } },
    { { { 0x74, 0x72, 0x68, 0x64 } }, { { 0x6d, 0x6c, 0x70, 0x61 } } },
    { { { 0x75, 0x6c, 0x61, 0x77 } }, { { 0x6d, 0x6c, 0x61, 0x77 } } },
    { { { 0x76, 0x64, 0x76, 0x61 } }, { { 0x64, 0x76, 0x61, 0x75 } } },
    { { { 0x76, 0x6f, 0x72, 0x31 } }, { { 0x76, 0x6f, 0x72, 0x62 } } },
    { { { 0x77, 0x6d, 0x61, 0x20 } }, { { 0x57, 0x4d, 0x41, 0x32 } } },
    { { { 0x77, 0x6d, 0x61, 0x31 } }, { { 0x57, 0x4d, 0x41, 0x31 } } },
    { { { 0x77, 0x6d, 0x61, 0x32 } }, { { 0x57, 0x4d, 0x41, 0x32 } } },
    { { { 0x77, 0x6d, 0x61, 0x6c } }, { { 0x57, 0x4d, 0x41, 0x4c } } },
    { { { 0x77, 0x6d, 0x61, 0x70 } }, { { 0x57, 0x4d, 0x41, 0x50 } } },
    { { { 0x77, 0x6d, 0x61, 0x73 } }, { { 0x57, 0x4d, 0x41, 0x53 } } },
    { { { 0x77, 0x76, 0x70, 0x6b } }, { { 0x57, 0x56, 0x50, 0x4b } } },
};
static const struct fourcc_desc desc_audio[] = {
    { { { 0x01, 0x04, 0x00, 0x00 } }, "IMC" },
    { { { 0x22, 0x00, 0x00, 0x00 } }, "TrueSpeech" },
    { { { 0x31, 0x34, 0x5f, 0x34 } }, "RealAudio 1.0" },
    { { { 0x32, 0x38, 0x5f, 0x38 } }, "RealAudio 2.0" },
    { { { 0x33, 0x30, 0x32, 0x6d } }, "302M Audio" },
    { { { 0x34, 0x78, 0x6d, 0x61 } }, "4X Technologies Audio" },
    { { { 0x41, 0x44, 0x45, 0x41 } }, "EA ADPCM Audio" },
    { { { 0x41, 0x49, 0x50, 0x43 } }, "ADPCM APC" },
    { { { 0x41, 0x49, 0x57, 0x53 } }, "Westwood IMA ADPCM audio" },
    { { { 0x41, 0x50, 0x45, 0x20 } }, "Monkey's Audio" },
    { { { 0x42, 0x4d, 0x56, 0x41 } }, "Discworld II BMV audio" },
    { { { 0x44, 0x43, 0x49, 0x41 } }, "Delphine CIN Audio" },
    { { { 0x44, 0x53, 0x44, 0x20 } }, "DSD (Direct Stream Digital) MSB first" },
    { { { 0x44, 0x53, 0x44, 0x6c } }, "DSD (Direct Stream Digital) LSB first" },
    { { { 0x44, 0x53, 0x46, 0x6c } }, "DSD (Direct Stream Digital) LSB first, planar" },
    { { { 0x44, 0x53, 0x46, 0x6d } }, "DSD (Direct Stream Digital) MSB first, planar" },
    { { { 0x45, 0x41, 0x52, 0x31 } }, "ADPCM Electronic Arts R1" },
    { { { 0x4c, 0x50, 0x31, 0x32 } }, "12 bits DAT audio" },
    { { { 0x4d, 0x41, 0x43, 0x33 } }, "MACE-3 Audio" },
    { { { 0x4d, 0x41, 0x43, 0x36 } }, "MACE-6 Audio" },
    { { { 0x4d, 0x49, 0x44, 0x49 } }, "MIDI Audio" },
    { { { 0x4d, 0x50, 0x43, 0x20 } }, "MUSEPACK7 Audio" },
    { { { 0x4d, 0x50, 0x43, 0x4b } }, "MUSEPACK8 Audio" },
    { { { 0x4e, 0x45, 0x4c, 0x4c } }, "NellyMoser ASAO" },
    { { { 0x4f, 0x70, 0x75, 0x73 } }, "Opus Audio" },
    { { { 0x51, 0x44, 0x4d, 0x32 } }, "QDM2 Audio" },
    { { { 0x51, 0x44, 0x4d, 0x43 } }, "QDMC Audio" },
    { { { 0x51, 0x63, 0x6c, 0x70 } }, "QCELP Audio" },
    { { { 0x52, 0x41, 0x4c, 0x46 } }, "RealAudio Lossless" },
    { { { 0x52, 0x6f, 0x51, 0x61 } }, "Id RoQ DPCM Audio" },
    { { { 0x53, 0x32, 0x34, 0x34 } }, "PCM S24 in 32 BE" },
    { { { 0x53, 0x45, 0x41, 0x44 } }, "ADPCM IMA Electronic Arts SEAD" },
    { { { 0x53, 0x4d, 0x4b, 0x41 } }, "Smacker audio" },
    { { { 0x53, 0x57, 0x46, 0x61 } }, "Flash ADPCM Audio" },
    { { { 0x54, 0x48, 0x50, 0x41 } }, "GameCube THP ADPCM" },
    { { { 0x54, 0x54, 0x41, 0x31 } }, "The Lossless True Audio" },
    { { { 0x54, 0x57, 0x49, 0x4e } }, "TwinVQ" },
    { { { 0x57, 0x4d, 0x41, 0x31 } }, "Windows Media Audio 1" },
    { { { 0x57, 0x4d, 0x41, 0x32 } }, "Windows Media Audio 2" },
    { { { 0x57, 0x4d, 0x41, 0x4c } }, "Windows Media Audio Lossless" },
    { { { 0x57, 0x4d, 0x41, 0x50 } }, "Windows Media Audio Professional" },
    { { { 0x57, 0x4d, 0x41, 0x53 } }, "Windows Media Audio Voice (Speech)" },
    { { { 0x57, 0x56, 0x50, 0x4b } }, "WavPack" },
    { { { 0x58, 0x41, 0x4a, 0x00 } }, "EA-XA ADPCM" },
    { { { 0x61, 0x35, 0x32, 0x20 } }, "A52 Audio (aka AC3)" },
    { { { 0x61, 0x63, 0x2d, 0x34 } }, "AC-4 Digital Audio" },
    { { { 0x61, 0x64, 0x78, 0x20 } }, "ADX ADPCM Audio" },
    { { { 0x61, 0x67, 0x73, 0x6d } }, "Microsoft GSM Audio" },
    { { { 0x61, 0x6c, 0x61, 0x63 } }, "Apple Lossless Audio Codec" },
    { { { 0x61, 0x6c, 0x61, 0x77 } }, "PCM ALAW" },
    { { { 0x61, 0x6c, 0x73, 0x20 } }, "MPEG-4 Audio Lossless (ALS)" },
    { { { 0x61, 0x70, 0x63, 0x6d } }, "DVD-Audio LPCM Audio" },
    { { { 0x61, 0x74, 0x72, 0x31 } }, "atrac 1" },
    { { { 0x61, 0x74, 0x72, 0x63 } }, "atrac 3" },
    { { { 0x61, 0x74, 0x72, 0x70 } }, "atrac 3+" },
    { { { 0x62, 0x70, 0x63, 0x6d } }, "BD LPCM Audio" },
    { { { 0x63, 0x6f, 0x6f, 0x6b } }, "Cook Audio" },
    { { { 0x64, 0x61, 0x75, 0x64 } }, "PCM DAUD" },
    { { { 0x64, 0x74, 0x73, 0x20 } }, "DTS Audio" },
    { { { 0x64, 0x74, 0x73, 0x65 } }, "DTS Express" },
    { { { 0x64, 0x74, 0x73, 0x68 } }, "DTS-HD High Resolution Audio" },
    { { { 0x64, 0x74, 0x73, 0x6c } }, "DTS-HD Lossless" },
    { { { 0x64, 0x76, 0x61, 0x75 } }, "DV Audio" },
    { { { 0x65, 0x61, 0x63, 0x33 } }, "A/52 B Audio (aka E-AC3)" },
    { { { 0x66, 0x33, 0x32, 0x62 } }, "32 bits float BE" },
    { { { 0x66, 0x33, 0x32, 0x6c } }, "32 bits float LE" },
    { { { 0x66, 0x36, 0x34, 0x62 } }, "64 bits float BE" },
    { { { 0x66, 0x36, 0x34, 0x6c } }, "64 bits float LE" },
    { { { 0x66, 0x6c, 0x61, 0x63 } }, "FLAC (Free Lossless Audio Codec)" },
    { { { 0x67, 0x37, 0x32, 0x31 } }, "G.723.1 Audio" },
    { { { 0x67, 0x37, 0x32, 0x32 } }, "G.722 ADPCM Audio" },
    { { { 0x67, 0x37, 0x32, 0x36 } }, "G.726 ADPCM Audio" },
    { { { 0x67, 0x73, 0x6d, 0x20 } }, "GSM Audio" },
    { { { 0x69, 0x64, 0x70, 0x63 } }, "Interplay DPCM Audio" },
    { { { 0x69, 0x6d, 0x61, 0x34 } }, "IMA QT ADPCM Audio" },
    { { { 0x69, 0x6d, 0x61, 0x76 } }, "IMA AMV ADPCM Audio" },
    { { { 0x6c, 0x70, 0x63, 0x6d } }, "DVD LPCM Audio" },
    { { { 0x6d, 0x6c, 0x61, 0x77 } }, "PCM MU-LAW" },
    { { { 0x6d, 0x6c, 0x70, 0x20 } }, "MLP/TrueHD Audio" },
    { { { 0x6d, 0x6c, 0x70, 0x61 } }, "TrueHD Audio" },
    { { { 0x6d, 0x70, 0x33, 0x20 } }, "MPEG Audio layer 3" },
    { { { 0x6d, 0x70, 0x34, 0x61 } }, "MPEG AAC Audio" },
    { { { 0x6d, 0x70, 0x67, 0x61 } }, "MPEG Audio layer 1/2" },
    { { { 0x6d, 0x73, 0x00, 0x02 } }, "MS ADPCM audio" },
    { { { 0x6d, 0x73, 0x00, 0x11 } }, "IMA WAV ADPCM Audio" },
    { { { 0x6d, 0x73, 0x00, 0x20 } }, "Yamaha ADPCM Audio" },
    { { { 0x6d, 0x73, 0x00, 0x61 } }, "Duck DK4 ADPCM" },
    { { { 0x6d, 0x73, 0x00, 0x62 } }, "Duck DK3 ADPCM" },
    { { { 0x6d, 0x73, 0x02, 0x15 } }, "Ulead DV audio NTSC" },
    { { { 0x6d, 0x73, 0x02, 0x16 } }, "Ulead DV audio PAL" },
    { { { 0x6d, 0x73, 0x04, 0x02 } }, "Indeo Audio Coder" },
    { { { 0x73, 0x31, 0x36, 0x62 } }, "PCM S16 BE" },
    { { { 0x73, 0x31, 0x36, 0x6c } }, "PCM S16 LE" },
    { { { 0x73, 0x31, 0x6c, 0x70 } }, "PCM S16 LE planar" },
    { { { 0x73, 0x32, 0x30, 0x62 } }, "PCM S20 BE" },
    { { { 0x73, 0x32, 0x34, 0x34 } }, "PCM S24 in 32 LE" },
    { { { 0x73, 0x32, 0x34, 0x62 } }, "PCM S24 BE" },
    { { { 0x73, 0x32, 0x34, 0x6c } }, "PCM S24 LE" },
    { { { 0x73, 0x33, 0x32, 0x62 } }, "PCM S32 BE" },
    { { { 0x73, 0x33, 0x32, 0x6c } }, "PCM S32 LE" },
    { { { 0x73, 0x38, 0x20, 0x20 } }, "PCM S8" },
    { { { 0x73, 0x61, 0x6d, 0x72 } }, "AMR narrow band" },
    { { { 0x73, 0x61, 0x77, 0x62 } }, "AMR wide band" },
    { { { 0x73, 0x64, 0x64, 0x73 } }, "SDDS Audio" },
    { { { 0x73, 0x68, 0x6e, 0x20 } }, "Shorten Lossless Audio" },
    { { { 0x73, 0x69, 0x70, 0x72 } }, "RealAudio Sipr" },
    { { { 0x73, 0x70, 0x78, 0x20 } }, "Speex Audio" },
    { { { 0x74, 0x61, 0x6b, 0x20 } }, "TAK (Tom's lossless Audio Kompressor)" },
    { { { 0x75, 0x31, 0x36, 0x62 } }, "PCM U16 BE" },
    { { { 0x75, 0x31, 0x36, 0x6c } }, "PCM U16 LE" },
    { { { 0x75, 0x32, 0x34, 0x62 } }, "PCM U24 BE" },
    { { { 0x75, 0x32, 0x34, 0x6c } }, "PCM U24 LE" },
    { { { 0x75, 0x33, 0x32, 0x62 } }, "PCM U32 BE" },
    { { { 0x75, 0x33, 0x32, 0x6c } }, "PCM U32 LE" },
    { { { 0x75, 0x38, 0x20, 0x20 } }, "PCM U8" },
    { { { 0x76, 0x6d, 0x64, 0x61 } }, "Sierra VMD Audio" },
    { { { 0x76, 0x6f, 0x72, 0x62 } }, "Vorbis Audio" },
    { { { 0x78, 0x61, 0x20, 0x20 } }, "PSX XA ADPCM Audio" },
};
static const struct fourcc_mapping mapping_spu[] = {
    { { { 0x44, 0x58, 0x53, 0x41 } }, { { 0x58, 0x53, 0x55, 0x42 } } },
    { { { 0x44, 0x58, 0x53, 0x42 } }, { { 0x58, 0x53, 0x55, 0x42 } } },
    { { { 0x63, 0x63, 0x31, 0x20 } }, { { 0x63, 0x36, 0x30, 0x38 } } },
    { { { 0x63, 0x63, 0x32, 0x20 } }, { { 0x63, 0x36, 0x30, 0x38 } } },
    { { { 0x63, 0x63, 0x33, 0x20 } }, { { 0x63, 0x36, 0x30, 0x38 } } },
    { { { 0x63, 0x63, 0x34, 0x20 } }, { { 0x63, 0x36, 0x30, 0x38 } } },
    { { { 0x73, 0x70, 0x75, 0x62 } }, { { 0x73, 0x70, 0x75, 0x20 } } },
    { { { 0x74, 0x74, 0x6d, 0x6c } }, { { 0x73, 0x74, 0x70, 0x70 } } },
    { { { 0x78, 0x73, 0x75, 0x62 } }, { { 0x58, 0x53, 0x55, 0x42 } } },
};
static const struct fourcc_desc desc_spu[] = {
    { { { 0x53, 0x43, 0x32, 0x37 } }, "SCTE-27 subtitles" },
    { { { 0x53, 0x54, 0x4c, 0x20 } }, "EBU STL subtitles" },
    { { { 0x54, 0x45, 0x58, 0x54 } }, "Plain text subtitles" },
    { { { 0x58, 0x53, 0x55, 0x42 } }, "DivX XSUB subtitles" },
    { { { 0x61, 0x72, 0x62, 0x61 } }, "ARIB subtitles (A-profile)" },
    { { { 0x61, 0x72, 0x62, 0x63 } }, "ARIB subtitles (C-profile)" },
    { { { 0x62, 0x64, 0x70, 0x67 } }, "BD PGS subtitles" },
    { { { 0x62, 0x64, 0x74, 0x78 } }, "BD Text subtitles" },
    { { { 0x63, 0x36, 0x30, 0x38 } }, "EIA-608 subtitles" },
    { { { 0x63, 0x6d, 0x6d, 0x6c } }, "CMML annotations/metadata" },
    { { { 0x63, 0x76, 0x64, 0x20 } }, "CVD subtitles" },
    { { { 0x64, 0x76, 0x62, 0x73 } }, "DVB Subtitles" },
    { { { 0x6b, 0x61, 0x74, 0x65 } }, "Kate subtitles" },
    { { { 0x6f, 0x67, 0x74, 0x20 } }, "OGT subtitles" },
    { { { 0x73, 0x70, 0x75, 0x20 } }, "DVD Subtitles" },
    { { { 0x73, 0x73, 0x61, 0x20 } }, "SubStation Alpha subtitles" },
    { { { 0x73, 0x74, 0x70, 0x50 } }, "TTML subtitles (EN.303.560)" },
    { { { 0x73, 0x74, 0x70, 0x70 } }, "TTML subtitles" },
    { { { 0x73, 0x75, 0x62, 0x74 } }, "Text subtitles with various tags" },
    { { { 0x74, 0x31, 0x34, 0x30 } }, "ITU T.140 subtitles" },
    { { { 0x74, 0x65, 0x6c, 0x78 } }, "Teletext" },
    { { { 0x75, 0x73, 0x66, 0x20 } }, "USF subtitles" },
    { { { 0x77, 0x76, 0x74, 0x74 } }, "WEBVTT subtitles" },
};
